<xsl:stylesheet version="1.0"	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                                xmlns:str="http://exslt.org/strings"
                                extension-element-prefixes="str">

<!--<xsl:import href="ppp/str.xsl" />-->

<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:include href="preferences.xsl"/>
<!-- <xsl:include href="skin-options.xsl"/> -->
<xsl:include href="skin-translation.xsl"/>
<xsl:include href="templates.xsl" />
<xsl:include href="ppp/truncate-phrase/truncate-phrase.xsl" />
<xsl:include href="./ppp/ppp-options.xsl" />

<xsl:template match="/">

<!-- Added by 5150 skin -->
<!-- This section is required to account for user selected homePages (mjb.homePage). -->
<!-- Sets $currentHomePage to either default of 'Other_All_1' or user defined value represented by mjb.homePage -->
<!--<xsl:variable name="currentHomePage" select="if (string-length($mjb.homePage) = 0) then 'Other_All_1' else $mjb.homePage" />-->
<xsl:variable name="currentHomePage">
   <xsl:choose>
    <xsl:when test="string-length($mjb.homePage) = '0'">Other_All_1</xsl:when>
    <xsl:otherwise><xsl:value-of select="$mjb.homePage"/></xsl:otherwise>
   </xsl:choose>
</xsl:variable>
<!-- Builds $currentIndexPage representation for use in validation later. -->
<xsl:variable name="currentCategory" select="//category[@current='true']/@name"/>
<xsl:variable name="currentName" select="//category[@current='true']/index[@current='true']/@name"/>
<xsl:variable name="currentIndex" select="//category[@current='true']/index[@current='true']/@currentIndex"/>
<xsl:variable name="currentIndexPage" select="concat($currentCategory,'_',$currentName,'_',$currentIndex)"/>
<!-- Added by 5150 skin -->

<!--<xsl:variable name="currentIndex" select="//index[@current='true']/@currentIndex"/>-->
<xsl:variable name="lastIndex" select="//index[@current='true']/@lastIndex"/>
<xsl:variable name="nbCols" select="$mjb.nbTvThumbnailsPerLine"/>
<xsl:variable name="nbCount" select="count(library/movies/movie)"/>
<xsl:variable name="nbLines" select="ceiling(count(library/movies/movie) div $nbCols)"/>
<xsl:variable name="filepath1"><xsl:call-template name="substring-after-last"><xsl:with-param name="string" select="library/movies/movie[position()=1]/files/file/fileURL" /><xsl:with-param name="delimiter" select="'/'" /></xsl:call-template></xsl:variable>
<xsl:variable name="filepath2"><xsl:value-of select="substring-before(library/movies/movie[position()=1]/files/file/fileURL,$filepath1)"/></xsl:variable>
<xsl:variable name="filepath3"><xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="$filepath2"/><xsl:with-param name="search-string">file:///opt/sybhttpd/localhost.drives/</xsl:with-param><xsl:with-param name="replace-string">http://localhost.drives:8883/</xsl:with-param></xsl:call-template></xsl:variable>

<xsl:variable name="filebrowserURL">
<xsl:choose>
<xsl:when test="$URLBrowserLink != ''"><xsl:value-of select="$URLBrowserLink"/></xsl:when>
<xsl:otherwise><xsl:call-template name="substring-before-last"><xsl:with-param name="string"><xsl:call-template name="substring-before-last"><xsl:with-param name="string" select="$filepath3" /><xsl:with-param name="delimiter" select="'/'" /></xsl:call-template></xsl:with-param><xsl:with-param name="delimiter" select="'/'" /></xsl:call-template>/</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:variable name="gt_x_offset">
<xsl:if test="not (contains(//index[@current='true']/@next,'Set_'))">0</xsl:if>
</xsl:variable>


<xsl:variable name="gt_y_offset">
			<xsl:if test="not (contains(//index[@current='true']/@next,'Set_'))">0</xsl:if>
</xsl:variable>

<xsl:variable name="IndexLines" select="$mjb.nbTvThumbnailsPerPage div $mjb.nbTvThumbnailsPerLine"/>
<!--<xsl:variable name="IndexCoverSpaceVertical" select="floor($ScreenOverscan div 5)"/>-->	
<xsl:variable name="IndexCoverSpaceVertical">0</xsl:variable>

<xsl:variable name="Thumbnail_Width">
	<xsl:if test="$IndexTVBanners = 'false'">
	<xsl:choose>
		<xsl:when test="(630 div $IndexLines) &lt; (((1075 div $mjb.nbTvThumbnailsPerLine)*210) div 145)">
			<xsl:value-of select="floor((630 div $IndexLines)*145 div 210)-20"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="floor((1075 div $mjb.nbTvThumbnailsPerLine)-20-$IndexCoverSpace)"/>
		</xsl:otherwise>
	</xsl:choose>
	</xsl:if>
	<xsl:if test="$IndexTVBanners = 'true'">
	<xsl:choose>
		<xsl:when test="(630 div $IndexLines) &lt; (((1075 div $mjb.nbTvThumbnailsPerLine)*75) div 320)">
			<xsl:value-of select="floor((630 div $IndexLines)*320 div 75)-20"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="floor((1075 div $mjb.nbTvThumbnailsPerLine)-20-$IndexCoverSpace)"/>
		</xsl:otherwise>
	</xsl:choose>
	</xsl:if>
</xsl:variable>

<xsl:variable name="Thumbnail_Height">
	<xsl:if test="$IndexTVBanners = 'false'">
	<xsl:value-of select="floor(($Thumbnail_Width*190) div 125)"/>
	</xsl:if>
	<xsl:if test="$IndexTVBanners = 'true'">
	<xsl:value-of select="floor(($Thumbnail_Width*55) div 300)"/>
	</xsl:if>
</xsl:variable>

<xsl:variable name="PopUpFactor">
<xsl:choose>
	<xsl:when test="$IndexPopup = 'true'">130</xsl:when>
	<xsl:when test="$IndexPopup = 'big'">150</xsl:when>
	<xsl:when test="$IndexPopup = 'small'">110</xsl:when>
	<xsl:otherwise>100</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="PopUp_Width" select="floor($Thumbnail_Width*$PopUpFactor div 100)"/>	
<xsl:variable name="PopUp_Height" select="floor($Thumbnail_Height*$PopUpFactor div 100)"/>	

<xsl:variable name="cover_space_top" select="$Thumbnail_Height + 20 + $IndexCoverSpaceVertical"/>
<xsl:variable name="cover_space_left" select="$Thumbnail_Width + 20 + $IndexCoverSpace"/>

<xsl:variable name="cover_start_left">
	<xsl:choose>
		<xsl:when test="$IndexAutoCenterCovers = 'false'">0</xsl:when>
		<xsl:when test="$nbCount &lt; $nbCols">
		<xsl:value-of select="floor((1075 - $nbCount*$Thumbnail_Width - (20+$IndexCoverSpace)*(($nbCount)-1)) div 2)"/>
		</xsl:when>
		<xsl:otherwise><xsl:value-of select="floor((1075 - $nbCols*$Thumbnail_Width - (20+$IndexCoverSpace)*(($nbCols)-1)) div 2)"/></xsl:otherwise>
	</xsl:choose>
</xsl:variable>


<xsl:variable name="cover_start_top">
		<xsl:choose>
		<xsl:when test="$IndexAutoCenterCovers = 'false'">0</xsl:when>
		<xsl:when test="$nbLines &lt; $IndexLines">
		<xsl:value-of select="floor((615 - $nbLines*$Thumbnail_Height - (25+$IndexCoverSpaceVertical)*(($nbLines)-1)) div 2)"/>
		</xsl:when>
		<xsl:otherwise><xsl:value-of select="floor((615 - $IndexLines*$Thumbnail_Height - (25+$IndexCoverSpaceVertical)*(($IndexLines)-1)) div 2)"/></xsl:otherwise>
	</xsl:choose>
</xsl:variable>

<!-- ######################################################################## -->
<html>

<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>!-- <xsl:value-of select="$gtversion"/>--<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>
<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>!-- <xsl:value-of select="$Thumbnail_Width"/>/ <xsl:value-of select="$Thumbnail_Height"/>--<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>

<head>
<!--<link rel="StyleSheet" type="text/css" href="exportindex_item_pch.css"></link>-->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<title>Moviejukebox</title>

<style type="text/css">
.showMenu {visibility:hidden;}

	#selPOPUP { visibility: hidden; position: absolute; top: 13px; left: 16px; }
	#imgPOPUP { visibility: hidden; position: absolute; top: 23px; left: 26px; }
	#frmPOPUP { visibility: hidden; position: absolute; top: 13px; left: 16px; }
	#covPOPUP { visibility: hidden; position: absolute; top: 19px; left: 22px; }
	#markPOPUP { visibility: hidden; position: absolute; top: 23px; left: 26px; }
	
<xsl:for-each select="/library/movies/movie">
	
	<xsl:variable name="y_offset" select="floor((position()-1) div $mjb.nbTvThumbnailsPerLine)"/>
	<xsl:variable name="x_offset" select="(position()-1) - ($y_offset * $mjb.nbTvThumbnailsPerLine)"/>
	
	#frmPC<xsl:value-of select="position()" /> { visibility: hidden; position: absolute; top: <xsl:value-of select="floor(6+$cover_start_top+$gt_y_offset+($cover_space_top)*($y_offset))" />px; left: <xsl:value-of select="floor(6+$cover_start_left+$gt_x_offset+($cover_space_left)*($x_offset))" />px; }
	#imgDVD<xsl:value-of select="position()" /> { visibility: visible; position: absolute; top: <xsl:value-of select="floor(16+$cover_start_top+$gt_y_offset+($cover_space_top)*($y_offset))" />px; left: <xsl:value-of select="floor(16+$cover_start_left+$gt_x_offset+($cover_space_left)*($x_offset))" />px; }
	#frmDVD<xsl:value-of select="position()" /> { visibility: visible; position: absolute; top: <xsl:value-of select="floor(6+$cover_start_top+$gt_y_offset+($cover_space_top)*($y_offset))" />px; left: <xsl:value-of select="floor(6+$cover_start_left+$gt_x_offset+($cover_space_left)*($x_offset))" />px; }
	#covDVD<xsl:value-of select="position()" /> { visibility: visible; position: absolute; top: <xsl:value-of select="floor(12+$cover_start_top+$gt_y_offset+($cover_space_top)*($y_offset))" />px; left: <xsl:value-of select="floor(12+$cover_start_left+$gt_x_offset+($cover_space_left)*($x_offset))" />px; }
	#markDVD<xsl:value-of select="position()" /> { visibility: visible; position: absolute; top: <xsl:value-of select="floor(16+$cover_start_top+$gt_y_offset+($cover_space_top)*($y_offset))" />px; left: <xsl:value-of select="floor(16+$cover_start_left+$gt_x_offset+($cover_space_left)*($x_offset))" />px; }
	
</xsl:for-each>
</style>

<style type="text/css">	
<xsl:for-each select="/library/movies/movie">
	#title<xsl:value-of select="position()" /> { visibility: hidden; position: absolute; top: 600px; left: 1px; font-size: 18pt; color: #868686; }
</xsl:for-each>
</style>

<style type="text/css">		
	td#title { font-size: 18pt; color: #FFFFFF; }
	#frmlistDVD { visibility: visible; position: absolute; top: 52px; left: 730px; }
td#page { font-size: 18pt; color: #FFFFFF; }
td#year { font-size: 18pt; color: #FFFFFF; }
div.title{ visibility:hidden; }
div.counter {font-size: 15pt; color: #AAAAAA; }

body { font-family: Arial; font-size: 10pt; color: #000000; text-decoration: none; }
a { font-size: 18pt; color: #FFFFFF; text-decoration: none; }
img { border: 0; }
table.main { width:1090; height:83; }
table.categories { width:180; }
td { text-decoration: none;}
td.movies { padding-right: 10px;}

.sortout {
  font-size: 12pt;
  font-weight : normal;
  color: #4e4e4e;
}

.sortin {
  font-size: 17pt;
  font-weight : normal;
  color: #6e6e6e;
}

.mainsorting {
  font-size: 23pt;
  font-weight : normal;
  color: #8e8e8e;
}
.indexname {
  font-size: 18pt;
  font-weight : normal;
  color: #FFFFFF;
}

.plotpage { 
color: #ececec;
font-family: Arial;
    font-weight: normal;
    font-size: 14pt;
	line-height: 21px;}	

  <xsl:call-template name="genMenuStyles.loop">
    <xsl:with-param name="i">1</xsl:with-param>
    <xsl:with-param name="count">9</xsl:with-param>
  </xsl:call-template>

	.abs {position: absolute;}
  .category { left: 360px;  }
  .genre { left: 534px;  }

  .mnuBack { left: 1px; top: 1px; }
  .mnuBackTop { left: 361px; top: 126px; }
  .mnuBackBot { left: 361px; top: 299px; }

  .hidden {visibility:hidden;}
  .visible {visibility:visible;}
  
.menuLink { 
color: #aaaaaa;
font-size: 25px;
text-decoration: none;
}

.menuLinkActive{ 
color: #aaaaaa;
font-size: 25px;
text-decoration: none;
padding-left: 20px; }

.menuImage { 
position: absolute;
background-attachment: scroll;
background-clip: border-box;
background-color: transparent;
background-image: url(pictures/ppp/menu_active.png);
background-origin: padding-box;
background-position: 0% 0%;
background-repeat: repeat;
background-size: auto;
}

img { 
border-bottom-color: currentColor;
border-bottom-style: none;
border-bottom-width: 0px;
border-left-color: currentColor;
border-left-style: none;
border-left-width: 0px;
border-right-color: currentColor;
border-right-style: none;
border-right-width: 0px;
border-top-color: currentColor;
border-top-style: none;
border-top-width: 0px;
}

.whitenormal {
    color: #ffffff;
    font-weight: normal;
    font-size: 12pt;
}
.whitebold {
    color: #ffffff;
    font-weight: bold;
    font-size: 12pt;
}
	#noNMT {  visibility: hidden;  display: none;}
	#noNMT a {  visibility: hidden;  display: none;}
</style>
<!--*******************************************************************************************************************************************-->
<!-- <xsl:for-each select="library/category[not(@name = 'Library') and not(@name = 'Set')]"> -->
<script type="text/javascript">
<xsl:comment>
  var asCatNames = new Array();
  var asFilters = new Object();
  var asFilterNames = new Object();
  
  <xsl:for-each select="library/category[not(@name = 'Library')]">
  	<xsl:if test="count(index) > 0">
	    <xsl:variable name="catName" select="@name" />
	    asCatNames.push("<xsl:value-of select="$catName" />");
	    asFilters['<xsl:value-of select="$catName" />'] = new Array();
	    asFilterNames['<xsl:value-of select="$catName" />']  = new Array();
	    <xsl:for-each select="index">
	      asFilters['<xsl:value-of select="$catName" />'].push("<xsl:value-of select="." />");
	      asFilterNames['<xsl:value-of select="$catName" />'].push("<xsl:value-of select="@name" />");
	    </xsl:for-each>
    </xsl:if>
  </xsl:for-each>
  
  var aiCatLength = new Object();
  var iCats = asCatNames.length;
  for (var t=0; t <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/> iCats; t++)
  {
    aiCatLength[asCatNames[t]] = asFilters[asCatNames[t]].length;
  }
</xsl:comment>
</script> 
<xsl:if test="$ParentalControl='true'">
<script>

var ratingsys= new Array();

ratingsys['G']=1;
ratingsys['PG']=10;
ratingsys['PG-13']=13;
ratingsys['R']=18;
ratingsys['NC-17']=17;
ratingsys['Not Rated']=18;

ratingsys['TV-Y']=1;
ratingsys['TV-Y7']=8;
ratingsys['TV-G']=10;
ratingsys['TV-PG']=13;
ratingsys['TV-14']=15;
ratingsys['TV-MA']=16;

ratingsys['U']=1;
ratingsys['PG']=10;
ratingsys['12']=12;
ratingsys['12A']=13;
ratingsys['15']=15;
ratingsys['18']=18;
ratingsys['R18']=99;

ratingsys['X']=99;
ratingsys['XX']=99;
ratingsys['XXX']=99;

var ratingnow=0;
</script>


<script type="text/javascript">

function prompter(y) 
{
ratingnow=ratingsys[y];

<xsl:choose>
<xsl:when test="$NumberOfChildren > 1">

if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$YoungestChildsAge"/>)
{
	if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$OldestChildsAge"/>)
		{		
			var reply = prompt("<xsl:value-of select="$EnterPassword"/>", "")

				if (reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$IncorrectPassword"/>")
						return false
					}
		}
	<xsl:if test="$NumberOfChildren=3">
	else if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$MiddleChildsAge"/>)
		{		
			var reply = prompt("<xsl:value-of select="$EnterPassword"/>", "")

				if (reply=="<xsl:value-of select="$OldestChildsPassword"/>" || reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$IncorrectPassword"/>")
						return false
					}
		}
	</xsl:if>

	else
		{		
			var reply = prompt("<xsl:value-of select="$EnterPassword"/>", "")

				if (reply=="<xsl:value-of select="$MiddleChildsPassword"/>" || reply=="<xsl:value-of select="$OldestChildsPassword"/>" || reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$IncorrectPassword"/>")
						return false
					}
		}
}
</xsl:when>
<xsl:otherwise>
if (ratingnow<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=<xsl:value-of select="$YoungestChildsAge"/>)
{
	var reply = prompt("<xsl:value-of select="$EnterPassword"/>", "")

				if (reply=="<xsl:value-of select="$MasterPassword"/>")
					{
						return
					}
				else 
					{
						alert ( "<xsl:value-of select="$IncorrectPassword"/>")
						return false
					}
		}

</xsl:otherwise>
</xsl:choose>
else
{
return
}


}
</script>
</xsl:if>
<!--*******************************************************************************************************************************************-->

<script type="text/javascript">
//
  var title = 1;
  var play = 1;
  
  var title = 1;
  var play = 1;

  var fMenu = false;
  var iActiveItem = 1;
  var fInit = false;
<xsl:if test="$currentCategory = 'Set' or $currentCategory = 'Library'"> 
  var sActiveCat =  'Other';
</xsl:if>
<xsl:if test="$currentCategory != 'Set' and $currentCategory != 'Library'"> 
  var sActiveCat =  '<xsl:value-of select="$currentCategory" />';
</xsl:if>
  var iActiveCat = 0;
  var iMaxCats = 9;
  var iMaxGenres = 9;
  var iLinkMinCat = 5;
  var iLinkMinGen = 5;
  var iActiveGen = 0;
  var iGenres = 0;
  
   var popx=0;
  var popy=0;
  var posx=0;
  var posy=0;
  var mCount = 21;
  var mLine = 7;

  var sBackground = 'wall/<xsl:value-of select="$IndexBackground"/>';
  
  function bind() {
    if ( play == 1 ) play = document.getElementById('play');
    if ( title == 1 ) title = document.getElementById('title');
  }
 function show(x, jsp, vod) {
    bind();
    title.firstChild.nodeValue = document.getElementById('title'+x).firstChild.nodeValue;
	document.getElementById('play').removeAttribute('vod');
	document.getElementById('play').removeAttribute('zcd');
	
	 if (vod == 'vod') 
	{
	var newAttribute = document.createAttribute("vod");
	newAttribute.nodeValue = "";
	play.setAttributeNode(newAttribute);
	}
    if (vod == 'playlist' ) 
	{
	var newAttribute = document.createAttribute("vod");
	newAttribute.nodeValue = "playlist";
	play.setAttributeNode(newAttribute);
	}
    if (vod == 'zcd') 
	{
	var newAttribute = document.createAttribute("zcd");
	newAttribute.nodeValue = "2";
	play.setAttributeNode(newAttribute);
	}
    play.setAttribute('href', jsp);
	<xsl:if test="$ParentalControl='true'">
		play.setAttribute('tvid', '<xsl:value-of select="$ParentalPlayFromWall"/>');
	</xsl:if>
	<xsl:if test="$ParentalControl='false'">
		play.setAttribute('tvid', 'PLAY');
	</xsl:if>
	
	<xsl:if test="$IndexPopup != 'false'">
				posy = Math.floor((x-1)/<xsl:value-of select="$mjb.nbTvThumbnailsPerLine"/>);
				posx = (x-1) - (posy*<xsl:value-of select="$mjb.nbTvThumbnailsPerLine"/>);
				popy = Math.floor(16+<xsl:value-of select="$cover_start_top"/>+<xsl:value-of select="$gt_y_offset"/>+<xsl:value-of select="$cover_space_top"/>*(posy));
				popx = Math.floor(16+<xsl:value-of select="$cover_start_left"/>+<xsl:value-of select="$gt_x_offset"/>+<xsl:value-of select="$cover_space_left"/>*(posx));
				
				if (popx <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/> <xsl:value-of select="20+floor((($PopUp_Width)-($Thumbnail_Width)) div 2)"/>) {var Right_1= ''+(popx-5)+'';}
				else if (((popx)-<xsl:value-of select="floor((($PopUp_Width)-($Thumbnail_Width)) div 2)"/>)  <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/> <xsl:value-of select="1085-$PopUp_Width"/>) {var Right_1= ''+<xsl:value-of select="1085-$PopUp_Width"/>+'';}
				else {var Right_1 = ''+((popx)-<xsl:value-of select="floor((($PopUp_Width)-($Thumbnail_Width)) div 2)"/>)+'';}
				var Right_2 = ''+(Right_1-10)+'';
				var Right_3 = ''+(Right_1-4)+'';
		
				document.styleSheets[0].cssRules[1].style.left=Right_2
				document.styleSheets[0].cssRules[2].style.left=Right_1
				document.styleSheets[0].cssRules[4].style.left=Right_3
				document.styleSheets[0].cssRules[5].style.left=Right_1
				
				if (popy <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/> <xsl:value-of select="20+floor((($PopUp_Height)-($Thumbnail_Height)) div 2)"/>) {var Offset_1= ''+(popy-5)+'';}
				else if (((popy)-<xsl:value-of select="floor((($PopUp_Height)-($Thumbnail_Height)) div 2)"/>) <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/> <xsl:value-of select="630-$PopUp_Height"/>) {var Offset_1= ''+<xsl:value-of select="630-$PopUp_Height"/>+'';}
				else {var Offset_1= ''+((popy)-<xsl:value-of select="floor((($PopUp_Height)-($Thumbnail_Height)) div 2)"/>)+'';}
				var Offset_2= ''+(Offset_1-10)+'';
				var Offset_3= ''+(Offset_1-4)+'';
			
				document.styleSheets[0].cssRules[1].style.top=Offset_2
				document.styleSheets[0].cssRules[2].style.top=Offset_1
				document.styleSheets[0].cssRules[4].style.top=Offset_3
				document.styleSheets[0].cssRules[5].style.top=Offset_1
				
				var srcSEL = document.getElementById('frmPC'+x).getAttribute("src");
				document.getElementById('selPOPUP').setAttribute("src", srcSEL);
				
				var srcIMG = document.getElementById('imgDVD'+x).getAttribute("src");
				document.getElementById('imgPOPUP').setAttribute("src", srcIMG);
				
				var srcCover = document.getElementById('covDVD'+x).getAttribute("src");
				document.getElementById('covPOPUP').setAttribute("src", srcCover);
				
				var srcMark = document.getElementById('markDVD'+x).getAttribute("src");
				document.getElementById('markPOPUP').setAttribute("src", srcMark);
				
				document.styleSheets[0].cssRules[1].style.visibility = "visible"
				document.styleSheets[0].cssRules[2].style.visibility = "visible"
				document.styleSheets[0].cssRules[4].style.visibility = "visible"
				document.styleSheets[0].cssRules[5].style.visibility = "visible"
	</xsl:if>
	<xsl:if test="$IndexPopup='false'">
	document.styleSheets[0].cssRules[1+(x*5)].style.visibility = "visible"
	</xsl:if>
	
	iActiveItem = x;
  }
  function hide(x) {
    bind();
	play.setAttribute('tvid', '#');
	title.firstChild.nodeValue = "&#160;";
	
	<xsl:if test="$IndexPopup != 'false'">
				var i = x;
				
				
				document.styleSheets[0].cssRules[1].style.visibility = "hidden"
				document.styleSheets[0].cssRules[2].style.visibility = "hidden"
				document.styleSheets[0].cssRules[4].style.visibility = "hidden"
				document.styleSheets[0].cssRules[5].style.visibility = "hidden"
	</xsl:if>
	
	<xsl:if test="$IndexPopup='false'">
	document.styleSheets[0].cssRules[1+(x*5)].style.visibility = "hidden"
	</xsl:if>
	
	}
  
//
</script>

<script type="text/javascript">
//
  
  function showMenu()
{
  hide(iActiveItem);
  document.styleSheets[0].cssRules[0].style.visibility="visible";
  document.getElementById('body').setAttribute('background', 'pictures/filter_background.gif');
  window.setTimeout("setFocus('catLink5')", 1);
  fMenu = true;

}
function hideMenu()
{
  document.styleSheets[0].cssRules[0].style.visibility="hidden";
  document.getElementById('body').setAttribute('background', 'pictures/<xsl:value-of select="$indexBackground" />');
  fMenu = false;
  setFocus('x'+iActiveItem);

}
function toggleMenu()
{
  if (!fMenu)
    showMenu();
  else
    hideMenu();
}
function toggleMenuLinks()
{
  if (!fMenu)
    document.getElementById('body').removeAttribute('class');
  else
    document.getElementById('body').setAttribute('class', 'menu');
}

function setFocus(id)
{
  document.getElementById(id).focus();
}

function showCatLinks()
{
  var i = 0;

	if (asCatNames.length <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/> 4 <xsl:value-of select="'&amp;&amp;'" disable-output-escaping="yes"/> iActiveCat + 4 <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>= iMaxCats)
    i = iActiveCat - 4;

  for (var t = 1; t <xsl:value-of select="'&lt;='" disable-output-escaping="yes"/> iMaxCats; t++)
  {
    var sCat = ' ';

    if (t <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>= iLinkMinCat <xsl:value-of select="'&amp;&amp;'" disable-output-escaping="yes"/> i <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/> asCatNames.length)
    {
      if (asCatNames[i] != 'undefined')
      {
        if (aiCatLength[asCatNames[i]] <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/> 0)
        {
        	sCat = '     ' + asCatNames[i];
        }
        i++;
      }
    }
		document.getElementById('catSpan' + t).firstChild.nodeValue = sCat;
  }
  showGenres();
}

function showGenres()
{
  var i = 0;
  var iMaxGen = iMaxGenres;
  iGenres = aiCatLength[sActiveCat];
  if (iGenres == 0)
   return false;

  if ( iGenres <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/> 4 <xsl:value-of select="'&amp;&amp;'" disable-output-escaping="yes"/> iActiveGen + 4 <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>= iMaxGen)
    i = iActiveGen - 4;

  for (var t = 1; t <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>= iMaxGen; t++)
  {

    var sGen = '';
    if (t <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>= iLinkMinGen <xsl:value-of select="'&amp;&amp;'" disable-output-escaping="yes"/> i <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/> iGenres)
    {
      if (asFilterNames[sActiveCat][i] != 'undefined')
      {
        sGen ='     ' + asFilterNames[sActiveCat][i];
		if (sGen.length <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=17)
		{
		sGen=sGen.substring(0,15)+'...';
		}
        i++;
      }
    }

    document.getElementById('genSpan' + t).firstChild.nodeValue = sGen;
    if (i -1 == iActiveGen)
    {
      document.getElementById('genLink5').setAttribute('href', asFilters[sActiveCat][i-1] + '.html');
    }
  }
}
function catDown()
{
  if (iActiveCat + 1 <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>= asCatNames.length)
  {
    iActiveCat = -1;
    iLinkMinCat = 6;
  }

  
  iActiveCat = iActiveCat + 1;

  if (iLinkMinCat - 1 <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/> 0 )
  {
    iLinkMinCat = iLinkMinCat - 1;
  }

  sActiveCat = asCatNames[iActiveCat];
  initGenres();
  showCatLinks();

}
function catUp()
{
  if (iActiveCat == 0 )
  {
    iActiveCat = asCatNames.length;
    var iTemp = 5 - asCatNames.length;
    iLinkMinCat = 1;
    if (iTemp <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/> 0)
    	iLinkMinCat =  iTemp;
    else
    	iLinkMinCat = 1;
  }

  if (iActiveCat + 1 - 5 <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>= 0 )
  {
    iLinkMinCat = iLinkMinCat + 1;
  }

  iActiveCat = iActiveCat - 1;

  sActiveCat = asCatNames[iActiveCat];
  initGenres();
  showCatLinks();

}
function initGenres()
{
  iActiveGen = 0;
  iLinkMinGen = 5;
}
function genDown()
{

  if (iActiveGen + 1 <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>= iGenres )
  {
    iActiveGen = -1;
    iLinkMinGen = 6;
  }
  iActiveGen = iActiveGen + 1;
	
  if (iLinkMinGen - 1 <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/> 0 )
  {
    iLinkMinGen = iLinkMinGen - 1;
  }

  showGenres();
}
function genUp()
{
  if (iActiveGen == 0 )
  {
    iActiveGen = aiCatLength[sActiveCat];
    var iTemp = 5 - iActiveGen;
    
    if (iTemp <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/> 0)
    	iLinkMinGen =  iTemp;
    else
    	iLinkMinGen = 1;
  }

  if (iActiveGen + 1 - 5 <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>= 0 )
  {
    iLinkMinGen = iLinkMinGen + 1;
  }

  iActiveGen = iActiveGen - 1;

  showGenres();
}
function changePage(id)
{
  location.assign(document.getElementById(id).href);
}
function openLink(x)
{
  location.assign(document.getElementById('l'+x).href);
}


function init()
{
  if ((iLinkMinCat + asCatNames.length) <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>= iMaxCats)
    iMaxCats = iLinkMinCat + asCatNames.length;
    

  for (var t = 0; t <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/> asCatNames.length; t++)
  {
  	if (asCatNames[t] == sActiveCat)
  	{
  		iActiveCat = t;
  		if (5 - t <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>= 1)
  			iLinkMinCat = 5 - iActiveCat;
			else
    		iLinkMinCat = 1
  		break;
  	} 
  }

  showCatLinks();
  showGenres();


};
//
</script>

<link rel="StyleSheet" type="text/css" href="no_nmt.css" media="screen"></link>
<!--===========================================================================================================================================-->
</head>
<body id="body" bgproperties="fixed" onloadset="1" bgcolor="#000000" FOCUSTEXT="#FFFFFF" focuscolor="transparent" onload="init()">
<xsl:variable name="FanartOn"><xsl:if test="$fanart.movie.download='true' or $fanart.tv.download='true'">true</xsl:if></xsl:variable>
<xsl:choose>
	<xsl:when test="$SetFanart='true' and contains(//index[@current='true']/@next,'Set_') and $FanartOn='true' and //movies/movie[1]/fanartFile != 'UNKNOWN'">
		<xsl:attribute name="background"><xsl:value-of select="//index[@current='true']/@first"/><xsl:value-of select="$fanart.scanner.fanartToken"/>.jpg</xsl:attribute>
	</xsl:when>
	<xsl:when test="$SetFanart='true' and contains(//index[@current='true']/@next,'Set_') and $FanartOn='true' and //movies/movie[1]/fanartFile='UNKNOWN'"><xsl:attribute name="background">pictures/detail/dummy_fanart.jpg</xsl:attribute></xsl:when>
	<xsl:otherwise>
		<xsl:attribute name="background">pictures/wall/<xsl:value-of select="$IndexBackground"/></xsl:attribute>
	</xsl:otherwise>
</xsl:choose>

  
<xsl:for-each select="library/category[@name='Title']/index">
  <xsl:choose>
    <xsl:when test="@name = '09'"><a href="Title_09_1.html" tvid="1" /></xsl:when>
    <xsl:when test="@name = 'A'"><a href="Title_A_1.html" tvid="2" /></xsl:when>
    <xsl:when test="@name = 'B'"><a href="Title_B_1.html" tvid="22" /></xsl:when>
    <xsl:when test="@name = 'C'"><a href="Title_C_1.html" tvid="222" /></xsl:when>
    <xsl:when test="@name = 'D'"><a href="Title_D_1.html" tvid="3" /></xsl:when>
    <xsl:when test="@name = 'E'"><a href="Title_E_1.html" tvid="33" /></xsl:when>
    <xsl:when test="@name = 'F'"><a href="Title_F_1.html" tvid="333" /></xsl:when>
    <xsl:when test="@name = 'G'"><a href="Title_G_1.html" tvid="4" /></xsl:when>
    <xsl:when test="@name = 'H'"><a href="Title_H_1.html" tvid="44" /></xsl:when>
    <xsl:when test="@name = 'I'"><a href="Title_I_1.html" tvid="444" /></xsl:when>
    <xsl:when test="@name = 'J'"><a href="Title_J_1.html" tvid="5" /></xsl:when>
    <xsl:when test="@name = 'K'"><a href="Title_K_1.html" tvid="55" /></xsl:when>
    <xsl:when test="@name = 'L'"><a href="Title_L_1.html" tvid="555" /></xsl:when>
    <xsl:when test="@name = 'M'"><a href="Title_M_1.html" tvid="6" /></xsl:when>
    <xsl:when test="@name = 'N'"><a href="Title_N_1.html" tvid="66" /></xsl:when>
    <xsl:when test="@name = 'O'"><a href="Title_O_1.html" tvid="666" /></xsl:when>
    <xsl:when test="@name = 'P'"><a href="Title_P_1.html" tvid="7" /></xsl:when>
    <xsl:when test="@name = 'Q'"><a href="Title_Q_1.html" tvid="77" /></xsl:when>
    <xsl:when test="@name = 'R'"><a href="Title_R_1.html" tvid="777" /></xsl:when>
    <xsl:when test="@name = 'S'"><a href="Title_S_1.html" tvid="7777" /></xsl:when>
    <xsl:when test="@name = 'T'"><a href="Title_T_1.html" tvid="8" /></xsl:when>
    <xsl:when test="@name = 'U'"><a href="Title_U_1.html" tvid="88" /></xsl:when>
    <xsl:when test="@name = 'V'"><a href="Title_V_1.html" tvid="888" /></xsl:when>
    <xsl:when test="@name = 'W'"><a href="Title_W_1.html" tvid="9" /></xsl:when>
    <xsl:when test="@name = 'X'"><a href="Title_X_1.html" tvid="99" /></xsl:when>
    <xsl:when test="@name = 'Y'"><a href="Title_Y_1.html" tvid="999" /></xsl:when>
    <xsl:when test="@name = 'Z'"><a href="Title_Z_1.html" tvid="9999" /></xsl:when>
    <xsl:otherwise><a href="blank" tvid="blank" /></xsl:otherwise>
  </xsl:choose>
</xsl:for-each>

<xsl:for-each select="library/category[@name='Other']/index">
  <xsl:choose>
    <xsl:when test="@name = 'All'"><a href="Other_All_1.html" tvid="255" /></xsl:when>
    <xsl:when test="@name = 'HD'"><a href="Other_HD_1.html" tvid="43" /></xsl:when>
    <xsl:when test="@name = 'TV Shows'"><a href="Other_TV Shows_1.html" tvid="887" /></xsl:when>
    <xsl:when test="@name = 'Movies'"><a href="Other_Movies_1.html" tvid="668" /></xsl:when>
    <xsl:when test="@name = 'Trailers'"><a href="Other_Trailers_1.html" tvid="872" /></xsl:when>
    <xsl:when test="@name = 'New'"><a href="Other_New_1.html" tvid="639" /></xsl:when>
    <xsl:when test="//index[@current='true']/@name = 'Top250'">
      <a href="Other_Top250_1.html" tvid="807" />
    </xsl:when>
    <xsl:otherwise><a href="blank" tvid="blank" /></xsl:otherwise>
  </xsl:choose>
</xsl:for-each>

<xsl:for-each select="library/category[@name='Genres']/index">
  <xsl:choose>
    <xsl:when test="@name = 'Action'"><a href="Genres_Action_1.html" tvid="228" /></xsl:when>
    <xsl:when test="@name = 'Animation'"><a href="Genres_Animation_1.html" tvid="264" /></xsl:when>
    <xsl:when test="@name = 'Comedy'"><a href="Genres_Comedy_1.html" tvid="266" /></xsl:when>
    <xsl:when test="@name = 'Documentary'"><a href="Genres_Documentary_1.html" tvid="362" /></xsl:when>
    <xsl:when test="@name = 'Drama'"><a href="Genres_Drama_1.html" tvid="372" /></xsl:when>
    <xsl:when test="@name = 'Fantasy'"><a href="Genres_Fantasy_1.html" tvid="326" /></xsl:when>
    <xsl:when test="@name = 'Other'"><a href="Genres_Other_1.html" tvid="684" /></xsl:when>
    <xsl:when test="@name = 'Sci-Fi'"><a href="Genres_Sci-Fi_1.html" tvid="724" /></xsl:when>
    <xsl:when test="@name = 'Thriller'"><a href="Genres_Thriller_1.html" tvid="847" /></xsl:when>
    <xsl:when test="@name = 'Reality'"><a href="Genres_Reality_1.html" tvid="732" /></xsl:when>
    <xsl:when test="@name = 'Horror'"><a href="Genres_Horror_1.html" tvid="467" /></xsl:when>
    <xsl:when test="@name = 'Family'"><a href="Genres_Family_1.html" tvid="3264" /></xsl:when>
    <xsl:when test="@name = 'Music'"><a href="Genres_Music_1.html" tvid="687" /></xsl:when>
    <xsl:otherwise><a href="blank" tvid="blank" /></xsl:otherwise>
  </xsl:choose>
</xsl:for-each>
<!--===========================================================================================================================================-->
<a>
	<xsl:attribute name="href"></xsl:attribute>
	<xsl:attribute name="tvid">#</xsl:attribute>
	<xsl:attribute name="id">play</xsl:attribute>
	<xsl:attribute name="vod">playlist</xsl:attribute>

</a>

<table border="0" cellpadding="0" cellspacing="0" align="left">
  <tr valign="top">
	<td >
		<xsl:attribute name="height"><xsl:value-of select="620+floor($ScreenOverscan div 2)"/></xsl:attribute><!--615-->

<table class="main" border="0" cellpadding="0" cellspacing="0">
  <tr valign="top"><td>
  <table class="main" border="0" cellpadding="0" cellspacing="0">
  <tr valign="top"> 
  <td align="left" valign="top" height="56" width="1"><img src="pictures/detail/1x688.png" height="56"/></td>
    <td id="indexmenuleft" align="left" valign="top" height="56" width="265">
                       <xsl:attribute name="class">hidden</xsl:attribute>
					   
	</td>
<!--|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||-->

	<td id="indexmenuright" align="right">
	<xsl:attribute name="class">hidden</xsl:attribute>
	      
	</td>
<!--|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||-->
  </tr></table>
  </td></tr>
  <tr align="left" valign="top">

    <td>

<!--<xsl:variable name="set_align">
    <xsl:choose>
        <xsl:when test="$SetFanart='true' and contains(//index[@current='true']/@next,'Set_') ">
		<xsl:value-of select="$gt.set.align" /></xsl:when>
        <xsl:otherwise>left</xsl:otherwise>
    </xsl:choose>
</xsl:variable>-->
	

	
	
		<table class="movies" border="0" cellpadding="0" cellspacing="4">
		<!--<xsl:attribute name="align" select="$set_align" />
		<xsl:attribute name="height" select="575"/>-->
		<tr>
		<xsl:if test="$SetFanart='true' and contains(//index[@current='true']/@next,'Set_') ">
				<td><xsl:call-template name="set-plotpage"><xsl:with-param name="tabheight" select="380" /></xsl:call-template></td>
						
	</xsl:if>
        <!--<xsl:for-each select="library/movies/movie[position() mod $nbCols = 1]">
          <tr>
            <xsl:apply-templates
                 select=".|following-sibling::movie[position() &lt; $nbCols]">
              <xsl:with-param name="gap" select="(position() - 1) * $nbCols" />
              <xsl:with-param name="currentIndex" select="$currentIndex" />
              <xsl:with-param name="lastIndex" select="$lastIndex" />
              <xsl:with-param name="lastGap" select="($nbLines - 1) * $nbCols" />
            </xsl:apply-templates>
          </tr>
        </xsl:for-each>-->
		</tr>
      </table>

    </td>
  </tr>
</table>
</td><!-- neu -->
</tr><!-- neu -->
<tr><!-- neu -->
	<td><!-- neu -->


<table border="0" cellpadding="10" cellspacing="0" width="1096" height="75" align="left">
<xsl:if test="$IndexTitleBackground = 'true'"><xsl:attribute name="background">pictures/dim/custom_tvtitle_dim.png</xsl:attribute></xsl:if>
<xsl:if test="$IndexCleanview = 'true'"><xsl:attribute name="class">hidden</xsl:attribute></xsl:if>
    <tr>
	<xsl:choose>
	<xsl:when test="$IndexCenterTitle = 'true'">
	<td width="250" valign="top"><xsl:attribute name="class" >indexname</xsl:attribute>
						<xsl:variable name="indexname" select="//index[@current='true']/@name"/>
						<xsl:choose>
							<xsl:when test="string-length($indexname)&lt;22">
								<xsl:value-of select="$indexname"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="substring($indexname,1,20)"/>...
							</xsl:otherwise>
						</xsl:choose>
					  </td>
    <td width="500" align="center" id="title" valign="top">&#160;</td>
   	</xsl:when>
	<xsl:otherwise>
	<td width="750" align="left" id="title" valign="top">&#160;</td>
   	</xsl:otherwise>
	</xsl:choose>
	
	<td width="250" align="right" id="page" valign="top"><xsl:value-of select="$Page"/>&#160;
	
	
		<a>
			<xsl:attribute name="href">
			<xsl:value-of select="library/category[@current='true']/index[@current='true']/@previous" />.html</xsl:attribute>
			<xsl:value-of select="$currentIndex"/>
		</a>
	
	
	&#160;<xsl:value-of select="$OutOf"/>&#160;<a onfocusload=""><xsl:attribute name="href"><xsl:value-of select="library/category[@current='true']/index[@current='true']/@next" />.html</xsl:attribute><xsl:value-of select="$lastIndex" /></a></td>
	</tr>
	
</table>

</td></tr></table><!-- neu -->


    
	 <xsl:for-each select="library/movies/movie">
	<div>
      <xsl:attribute name="id">title<xsl:value-of select="position()"/></xsl:attribute>
	  
	<xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="translate(title,'&#xA;','')"/>
            			 	</xsl:with-param>
                           <xsl:with-param name="length"><xsl:choose><xsl:when test="$IndexCenterTitle = 'true'">40</xsl:when><xsl:otherwise>60</xsl:otherwise></xsl:choose></xsl:with-param>
            		 		<xsl:with-param name="truncate_to_word_boundary" select="1" />
							<xsl:with-param name="trailing_string">...</xsl:with-param >
	</xsl:call-template>
      <xsl:choose>
        <xsl:when test="season > 0 and @isSet != 'true'">&#160;<xsl:value-of select="$Season"/>&#160;<xsl:value-of select="season"/></xsl:when>
        <xsl:when test="season = 0 and @isSet != 'true'">&#160;<xsl:value-of select="$Specials"/></xsl:when>
      </xsl:choose>
      <!--<xsl:if test="year != '' and year != 'UNKNOWN'">
        <xsl:if test="season = -1 and $skin-year = 'true'"> - <xsl:value-of select="year" /></xsl:if>
        <xsl:if test="season != -1 and $skin-yearTV = 'true'"> - <xsl:value-of select="year" /></xsl:if>
      </xsl:if>
      <xsl:if test="$skin-certification = 'true' and certification != '' and certification != 'UNKNOWN'"> (<xsl:value-of select="certification" />)</xsl:if>
	  <xsl:if test="$skin-runtime = 'true' and runtime != '' and runtime != 'UNKNOWN'"> (<xsl:value-of select="runtime" />)</xsl:if>
	  <xsl:if test="$skin-rating = 'true' and rating != '' and rating != 'UNKNOWN'"> (<xsl:value-of select="rating div 10" />/10)</xsl:if>-->
    </div>
  </xsl:for-each>

<xsl:for-each select="library/movies/movie">
				
			<xsl:variable name="watched"><xsl:value-of select="watched"/></xsl:variable>
			<img>
			<xsl:attribute name="width" select="$Thumbnail_Width+20"/>
			<xsl:attribute name="height" select="$Thumbnail_Height+20"/>
			
			<xsl:attribute name="id">frmPC<xsl:value-of select="position()"/></xsl:attribute>
			<xsl:attribute name="src">pictures/special/<xsl:if test="$IndexTVBanners = 'true'">banner_</xsl:if>selector_<xsl:value-of select="$IndexSelector"/>_<xsl:value-of select="$IndexFrame"/>.png</xsl:attribute>
			</img>
			<img>
			<xsl:attribute name="width" select="$Thumbnail_Width"/>
			<xsl:attribute name="height" select="$Thumbnail_Height"/>
				<xsl:attribute name="src">
				<xsl:choose>
				<xsl:when test="$IndexTVBanners = 'true'"><xsl:value-of select="bannerFile"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="thumbnail"/></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
				<xsl:attribute name="id">imgDVD<xsl:value-of select="position()"/></xsl:attribute>
			</img>
			<img>
			<xsl:attribute name="width" select="$Thumbnail_Width+8"/>
			<xsl:attribute name="height" select="$Thumbnail_Height+8"/>
			
				<xsl:if test="$IndexBoxes = 'false' or $IndexTVBanners = 'true'">
				<xsl:choose>
					<!--<xsl:when test="contains(videoOutput,'1080p') and $IndexColoredFrames = 'true'"><xsl:attribute name="src">pictures/special/<xsl:value-of select="$IndexFrame"/>_blue<xsl:if test="$IndexShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
					<xsl:when test="contains(videoOutput,'1080i') and $IndexColoredFrames = 'true'"><xsl:attribute name="src">pictures/special/<xsl:value-of select="$IndexFrame"/>_green<xsl:if test="$IndexShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
					<xsl:when test="contains(videoOutput,'720p') and $IndexColoredFrames = 'true'"><xsl:attribute name="src">pictures/special/<xsl:value-of select="$IndexFrame"/>_red<xsl:if test="$IndexShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>-->
					<xsl:when test="contains(videoSource,'BluRay') and $IndexColoredFrames = 'true' and $IndexTVBanners='false'"><xsl:attribute name="src">pictures/special/<xsl:value-of select="$IndexFrame"/>_blue<xsl:if test="$IndexShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
					<xsl:when test="contains(videoSource,'D-THEATER') and $IndexColoredFrames = 'true' and $IndexTVBanners='false'"><xsl:attribute name="src">pictures/special/<xsl:value-of select="$IndexFrame"/>_white<xsl:if test="$IndexShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
					<xsl:when test="contains(videoSource,'HDDVD') and $IndexColoredFrames = 'true' and $IndexTVBanners='false'"><xsl:attribute name="src">pictures/special/<xsl:value-of select="$IndexFrame"/>_red<xsl:if test="$IndexShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
					<xsl:when test="contains(videoSource,'DVD') and $IndexColoredFrames = 'true' and $IndexTVBanners='false'"><xsl:attribute name="src">pictures/special/<xsl:value-of select="$IndexFrame"/>_white<xsl:if test="$IndexShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
					<xsl:when test="contains(videoSource,'HDTV') and $IndexColoredFrames = 'true' and $IndexTVBanners='false'"><xsl:attribute name="src">pictures/special/<xsl:value-of select="$IndexFrame"/>_green<xsl:if test="$IndexShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
					<xsl:when test="$IndexTVBanners='true'"><xsl:attribute name="src">pictures/special/banner_<xsl:value-of select="$IndexFrame"/>_white.png</xsl:attribute></xsl:when>
				<xsl:otherwise><xsl:attribute name="src">pictures/special/<xsl:value-of select="$IndexFrame"/>_white<xsl:if test="$IndexShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:otherwise>
				</xsl:choose>
				</xsl:if>
				<xsl:if test="$IndexBoxes = 'true' and $IndexTVBanners = 'false'">
					<xsl:choose>
						<xsl:when test="@isTV='true'"><xsl:attribute name="src">pictures/boxes/thumb_tv.png</xsl:attribute></xsl:when>
						<xsl:when test="@isSet='true'"><xsl:attribute name="src">pictures/boxes/thumb_set.png</xsl:attribute></xsl:when>
						<xsl:when test="contains(videoSource,'BluRay')"><xsl:attribute name="src">pictures/boxes/thumb_bluray.png</xsl:attribute></xsl:when>
						<xsl:when test="contains(videoSource,'D-THEATER')"><xsl:attribute name="src">pictures/boxes/thumb_dtheater.png</xsl:attribute></xsl:when>
						<xsl:when test="contains(videoSource,'HDDVD')"><xsl:attribute name="src">pictures/boxes/thumb_hddvd.png</xsl:attribute></xsl:when>
						<xsl:when test="contains(videoSource,'DVD')"><xsl:attribute name="src">pictures/boxes/thumb_dvd.png</xsl:attribute></xsl:when>
						<xsl:when test="contains(videoSource,'HDTV')"><xsl:attribute name="src">pictures/boxes/thumb_hdtv.png</xsl:attribute></xsl:when>
						<xsl:when test="contains(videoSource,'VHS')"><xsl:attribute name="src">pictures/boxes/thumb_vhs.png</xsl:attribute></xsl:when>
						<xsl:when test="contains(videoSource,'SDTV')"><xsl:attribute name="src">pictures/boxes/thumb_tvmovie.png</xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="src">pictures/boxes/thumb_generic.png</xsl:attribute></xsl:otherwise>
				</xsl:choose>
				</xsl:if>
				<xsl:attribute name="id">covDVD<xsl:value-of select="position()"/></xsl:attribute>
				<!--<xsl:attribute name="onmouseover">show(<xsl:value-of select="position()"/>, '<xsl:choose><xsl:when test="count(files/file) > 1"><xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp','playlist</xsl:when><xsl:otherwise><xsl:value-of select="files/file[1]/fileURL" />','<xsl:choose><xsl:when test="container='DVD Video' or container='dvd video'">zcd</xsl:when><xsl:when test="container = 'ISO' or ends-with(files/file[1]/fileURL, '.ISO') or ends-with(files/file[1]/fileURL, '.iso')">zcd</xsl:when><xsl:when test="container = 'IMG' or ends-with(files/file[1]/fileURL, '.IMG') or ends-with(files/file[1]/fileURL, '.img')">zcd</xsl:when><xsl:when test="ends-with(files/file[1]/fileURL, 'VIDEO_TS')">zcd</xsl:when><xsl:otherwise>vod</xsl:otherwise></xsl:choose></xsl:otherwise></xsl:choose>')</xsl:attribute>
				<xsl:attribute name="onmouseout">hide(<xsl:value-of select="position()"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp')</xsl:attribute>-->
			</img>
			 
			<img>
			<xsl:attribute name="width" select="$Thumbnail_Width"/>
			<xsl:attribute name="height" select="$Thumbnail_Height"/>
			
				<xsl:if test="$watched='false'"><xsl:attribute name="src">pictures/1x1.png</xsl:attribute></xsl:if>
				<xsl:if test="$watched='true'"><xsl:attribute name="src">pictures/wall/<xsl:if test="$IndexTVBanners = 'true'">banner_</xsl:if>watched.png</xsl:attribute></xsl:if>
				<xsl:attribute name="id">markDVD<xsl:value-of select="position()"/></xsl:attribute>
			
			</img>
</xsl:for-each>	

			<img>
			<xsl:attribute name="width" select="$PopUp_Width+20"/>
			<xsl:attribute name="height" select="$PopUp_Height+20"/>
			<xsl:attribute name="src">pictures/1x1.png</xsl:attribute>
			<xsl:attribute name="id">selPOPUP</xsl:attribute>
			</img>
			
			<img>
			<xsl:attribute name="width" select="$PopUp_Width"/>
			<xsl:attribute name="height" select="$PopUp_Height"/>
			<xsl:attribute name="src">pictures/1x1.png</xsl:attribute>
			<xsl:attribute name="id">imgPOPUP</xsl:attribute>
			</img>
			
			<img>
			<xsl:attribute name="width" select="$PopUp_Width+8"/>
			<xsl:attribute name="height" select="$PopUp_Height+8"/>
			<xsl:attribute name="src">pictures/1x1.png</xsl:attribute>
			<xsl:attribute name="id">covPOPUP</xsl:attribute>
			</img>
			 
			<img>
			<xsl:attribute name="width" select="$PopUp_Width"/>
			<xsl:attribute name="height" select="$PopUp_Height"/>
			<xsl:attribute name="src">pictures/1x1.png</xsl:attribute>
			<xsl:attribute name="id">markPOPUP</xsl:attribute>
			</img>


		
<xsl:for-each select="library/movies/movie">
				<xsl:variable name="gap" select="ceiling(position() div $nbCols)"/> 
                <xsl:variable  name="currentIndex" select="$currentIndex" />
				<xsl:variable  name="lastIndex" select="$lastIndex" />
				<xsl:variable  name="lastGap" select="ceiling($nbCount div $nbCols)" />
			<a>	
			<xsl:attribute name="href">
			<xsl:if test="@isSet='false' and $IndexTVSummary!='true'"><xsl:value-of select="details"/></xsl:if>
			<xsl:if test="@isSet='true' or $IndexTVSummary='true'">Set_<xsl:call-template name="search-and-replace"><xsl:with-param name="input"><xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="title"/><xsl:with-param name="search-string">:</xsl:with-param><xsl:with-param name="replace-string">$3A</xsl:with-param></xsl:call-template></xsl:with-param><xsl:with-param name="search-string">/</xsl:with-param><xsl:with-param name="replace-string">$2F</xsl:with-param></xsl:call-template>_1.html</xsl:if>
			</xsl:attribute>
			<xsl:attribute name="onclick">return prompter('<xsl:value-of select="certification"/>')</xsl:attribute>
			<xsl:attribute name="id">l<xsl:value-of select="position()"/></xsl:attribute>
			<!--<xsl:attribute name="TVID"><xsl:value-of select="position()"/></xsl:attribute>-->
			<xsl:attribute name="name"><xsl:value-of select="position()"/></xsl:attribute>
			<xsl:attribute name="onmouseover">show(<xsl:value-of select="position()"/>, '<xsl:choose><xsl:when test="count(files/file) > 1"><xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp','playlist</xsl:when><xsl:otherwise><xsl:value-of select="files/file[1]/fileURL" />','<xsl:choose><xsl:when test="container='DVD Video' or container='dvd video'">zcd</xsl:when><xsl:when test="container = 'ISO' or ends-with(files/file[1]/fileURL, '.ISO') or ends-with(files/file[1]/fileURL, '.iso')">zcd</xsl:when><xsl:when test="container = 'IMG' or ends-with(files/file[1]/fileURL, '.IMG') or ends-with(files/file[1]/fileURL, '.img')">zcd</xsl:when><xsl:when test="ends-with(files/file[1]/fileURL, 'VIDEO_TS')">zcd</xsl:when><xsl:otherwise>vod</xsl:otherwise></xsl:choose></xsl:otherwise></xsl:choose>')</xsl:attribute>
			<xsl:attribute name="onmouseout">hide(<xsl:value-of select="position()"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp')</xsl:attribute>
			
			<xsl:attribute name="onfocus">show(<xsl:value-of select="position()"/>, '<xsl:choose><xsl:when test="count(files/file) > 1"><xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp','playlist</xsl:when><xsl:otherwise><xsl:value-of select="files/file[1]/fileURL" />','<xsl:choose><xsl:when test="container='DVD Video' or container='dvd video'">zcd</xsl:when><xsl:when test="container = 'ISO' or ends-with(files/file[1]/fileURL, '.ISO') or ends-with(files/file[1]/fileURL, '.iso')">zcd</xsl:when><xsl:when test="container = 'IMG' or ends-with(files/file[1]/fileURL, '.IMG') or ends-with(files/file[1]/fileURL, '.img')">zcd</xsl:when><xsl:when test="ends-with(files/file[1]/fileURL, 'VIDEO_TS')">zcd</xsl:when><xsl:otherwise>vod</xsl:otherwise></xsl:choose></xsl:otherwise></xsl:choose>')</xsl:attribute>
			<xsl:attribute name="onblur">hide(<xsl:value-of select="position()"/>, '<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp')</xsl:attribute>
			<xsl:attribute name="onkeyleftset"><xsl:value-of select="position()-1"/></xsl:attribute>
			<xsl:attribute name="onkeyrightset"><xsl:value-of select="position()+1"/></xsl:attribute>
			<xsl:if test="$lastIndex != 0">
            <!--<xsl:if test="position() &lt; 8 and $currentIndex != 0">
              <xsl:attribute name="onkeyupset">left</xsl:attribute>
            </xsl:if>-->
            <xsl:if test="$gap=1">
              <xsl:attribute name="onkeyupset">pgupload</xsl:attribute>
            </xsl:if>
            
			
		<xsl:if test="position() = 1">
          <xsl:attribute name="onkeyleftset">pgupload</xsl:attribute>
        </xsl:if>
					   
								<!--<xsl:if test="position() = 7">
								  <xsl:attribute name="onkeyrightset">8</xsl:attribute>
								</xsl:if>
								<xsl:if test="position() = 8">
								  <xsl:attribute name="onkeyleftset">7</xsl:attribute>
								</xsl:if>
								<xsl:if test="position() = 14">
								  <xsl:attribute name="onkeyrightset">15</xsl:attribute>
								</xsl:if>
								<xsl:if test="position() = 15">
								  <xsl:attribute name="onkeyleftset">14</xsl:attribute>
								</xsl:if>
								<xsl:if test="position() = 21">
								  <xsl:attribute name="onkeyrightset">pgdnload</xsl:attribute>
								</xsl:if>-->
								<xsl:if test="position() = $nbCount">
								  <xsl:attribute name="onkeyrightset">pgdnload</xsl:attribute>
								</xsl:if>

            <xsl:if test="$gap=$lastGap"> <!--and $currentIndex != $lastIndex-->
              <xsl:attribute name="onkeydownset">pgdnload</xsl:attribute>
            </xsl:if>
          </xsl:if>
		  	<img>
			<xsl:attribute name="width" select="$Thumbnail_Width+20"/>
			<xsl:attribute name="height" select="$Thumbnail_Height+20"/>
			<xsl:attribute name="src">pictures/wall/transparent.png</xsl:attribute>				
			<xsl:attribute name="id">frmDVD<xsl:value-of select="position()"/></xsl:attribute>
			</img>
			
			</a>
			<a href="#"> 
        	<xsl:attribute name="id">x<xsl:value-of select="position()"/></xsl:attribute>
        	<xsl:attribute name="onfocusset"><xsl:value-of select="position()"/></xsl:attribute>
        	<xsl:attribute name="onclick">setFocus('l<xsl:value-of select="position()"/>');show(<xsl:value-of select="position()"/>, '<xsl:choose><xsl:when test="count(files/file) > 1"><xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp','playlist</xsl:when><xsl:otherwise><xsl:value-of select="files/file[1]/fileURL" />','<xsl:choose><xsl:when test="container='DVD Video' or container='dvd video'">zcd</xsl:when><xsl:when test="container = 'ISO' or ends-with(files/file[1]/fileURL, '.ISO') or ends-with(files/file[1]/fileURL, '.iso')">zcd</xsl:when><xsl:when test="container = 'IMG' or ends-with(files/file[1]/fileURL, '.IMG') or ends-with(files/file[1]/fileURL, '.img')">zcd</xsl:when><xsl:when test="ends-with(files/file[1]/fileURL, 'VIDEO_TS')">zcd</xsl:when><xsl:otherwise>vod</xsl:otherwise></xsl:choose></xsl:otherwise></xsl:choose>')</xsl:attribute>
          <xsl:attribute name="onfocus">setFocus('l<xsl:value-of select="position()"/>');show(<xsl:value-of select="position()"/>, '<xsl:choose><xsl:when test="count(files/file) > 1"><xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="baseFilename"/><xsl:with-param name="search-string">'</xsl:with-param><xsl:with-param name="replace-string">\'</xsl:with-param></xsl:call-template>.playlist.jsp','playlist</xsl:when><xsl:otherwise><xsl:value-of select="files/file[1]/fileURL" />','<xsl:choose><xsl:when test="container='DVD Video' or container='dvd video'">zcd</xsl:when><xsl:when test="container = 'ISO' or ends-with(files/file[1]/fileURL, '.ISO') or ends-with(files/file[1]/fileURL, '.iso')">zcd</xsl:when><xsl:when test="container = 'IMG' or ends-with(files/file[1]/fileURL, '.IMG') or ends-with(files/file[1]/fileURL, '.img')">zcd</xsl:when><xsl:when test="ends-with(files/file[1]/fileURL, 'VIDEO_TS')">zcd</xsl:when><xsl:otherwise>vod</xsl:otherwise></xsl:choose></xsl:otherwise></xsl:choose>')</xsl:attribute>
        	<xsl:attribute name="TVID"><xsl:value-of select="position()"/></xsl:attribute>&#160;
			</a>
</xsl:for-each>
   
  	  
  <div class="title">
<!--<a><xsl:attribute name="href">Categories.html</xsl:attribute><xsl:attribute name="TVID"><xsl:value-of select="$category"/></xsl:attribute></a>
<a><xsl:attribute name="href">Other_TV Shows_1.html</xsl:attribute><xsl:attribute name="TVID"><xsl:value-of select="$TVLink"/></xsl:attribute></a>
<a><xsl:attribute name="href"><xsl:value-of select="$MoviesURL"/></xsl:attribute><xsl:attribute name="TVID"><xsl:value-of select="$MoviesLink"/></xsl:attribute></a>-->
	<xsl:if test="$currentIndexPage != $currentHomePage and $use-startmenu='false'"><a><xsl:attribute name="TVID">HOME</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$currentHomePage"/>.html</xsl:attribute></a></xsl:if>
	<xsl:if test="$currentIndexPage != $currentHomePage and $use-startmenu='true'"><a><xsl:attribute name="TVID">HOME</xsl:attribute><xsl:attribute name="href">../index.htm</xsl:attribute></a></xsl:if>
	<a name="pgdnload" onfocusload=""><xsl:attribute name="TVID">PGDN</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="library/category[@current='true']/index[@current='true']/@next" />.html</xsl:attribute></a>
    <a name="pgupload" onfocusload=""><xsl:attribute name="TVID">PGUP</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="library/category[@current='true']/index[@current='true']/@previous" />.html</xsl:attribute></a>
    <a TVID="TAB" name="showMenu" onfocusset="catLink5"  href="#" onclick="toggleMenu()"/>
	<a id="fileBrowser"><xsl:attribute name="TVID"><xsl:value-of select="$TVIDBrowserLink" /></xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$filebrowserURL" /></xsl:attribute></a>
	<!--<a TVID="BACK" id="backbutton" href="javascript:history.back()"/>-->
  
<xsl:if test="$WallRedURL != ''"><a><xsl:attribute name="TVID">RED</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$WallRedURL" /></xsl:attribute></a></xsl:if>
<xsl:if test="$WallGreenURL != ''"><a><xsl:attribute name="TVID">GREEN</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$WallGreenURL" /></xsl:attribute></a></xsl:if>
<xsl:if test="$WallYellowURL != ''"><a><xsl:attribute name="TVID">YELLOW</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$WallYellowURL" /></xsl:attribute></a></xsl:if>
<xsl:if test="$WallBlueURL != ''"><a><xsl:attribute name="TVID">BLUE</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$WallBlueURL" /></xsl:attribute></a></xsl:if>
<xsl:if test="$WallPlay != ''"><a><xsl:attribute name="TVID">PLAY</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$WallPlay" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Angle != ''"><a><xsl:attribute name="TVID">COPY</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Angle" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Stop != ''"><a><xsl:attribute name="TVID">ESC</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Stop" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Repeat != ''"><a><xsl:attribute name="TVID">REPEAT</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Repeat" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Source != ''"><a><xsl:attribute name="TVID">USR</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Source" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Setup != ''"><a><xsl:attribute name="TVID">SETUP</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Setup" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Delete != ''"><a><xsl:attribute name="TVID">CLEAR</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Delete" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Title != ''"><a><xsl:attribute name="TVID">URL</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Title" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Info != ''"><a><xsl:attribute name="TVID">INFO</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Info" /></xsl:attribute></a></xsl:if>
  
  
  
  <a name="catLinkUp" onfocusset="catLink5" onfocus="catUp();" onfocusload=""><xsl:attribute name="href">#</xsl:attribute></a>
  <a name="catLinkDown" onfocusset="catLink5" onfocus="catDown();" onfocusload=""><xsl:attribute name="href">#</xsl:attribute></a>
  <a name="genLinkUp" onfocusset="genLink5" onfocus="genUp();" onfocusload=""><xsl:attribute name="href">#</xsl:attribute></a>
  <a name="genLinkDown" onfocusset="genLink5" onfocus="genDown();" onfocusload=""><xsl:attribute name="href">#</xsl:attribute></a>
  
  </div>

  
 
  

<img id="menu" class="abs mnuBack showMenu" src="pictures/ppp/menu.png" />

<xsl:call-template name="genDivs.loop">
  <xsl:with-param name="i">1</xsl:with-param>
  <xsl:with-param name="count">9</xsl:with-param>
  <xsl:with-param name="sType">category</xsl:with-param>
</xsl:call-template>

<xsl:call-template name="genDivs.loop">
  <xsl:with-param name="i">1</xsl:with-param>
  <xsl:with-param name="count">9</xsl:with-param>
  <xsl:with-param name="sType">genre</xsl:with-param>
</xsl:call-template>


<img class="abs mnuBackTop showMenu" src="pictures/ppp/mnu_top.png" />
<img class="abs mnuBackBot showMenu" src="pictures/ppp/mnu_bottom.png" />
<xsl:if test="$use-pcmenu = 'true'">
<div id="noNMT">
  <a class="pageUp"><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@previous" />.html</xsl:attribute>previous page</a>
  <a class="pageDown"><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@next" />.html</xsl:attribute> next page</a>
  <br />
  <a><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@first" />.html</xsl:attribute>first page</a>
  <a><xsl:attribute name="href"><xsl:value-of select="//index[@current='true']/@last" />.html</xsl:attribute>last page</a>
  <br />
  <a href="#" onclick="toggleMenu(); toggleMenuLinks(); return false;">menu</a>
  <div id="menuLinks">
    <table id="menuLinkTbl" border="0" cellpadding="0" cellspacing="0">
    	<tr>
    		<td class="leftTd"><a href="#" onclick="catUp(); return false;">Up</a></td>
    		<td><a href="#" onclick="genUp(); return false;">Up</a></td>
    	</tr>
    	<tr>
    		<td class="leftTd"><a href="#" onclick="catDown(); return false;">Down</a></td>
    		<td><a href="#" onclick="genDown(); return false;">Down</a></td>
    	</tr>
    	<tr>
    		<td class="leftTd">&#160;</td>
    		<td class="selectLink"><a href="#" onclick="changePage('genLink5'); return false;">Select</a></td>
    	</tr>
    </table>
  </div>

 </div>
 </xsl:if>
 
</body>
</html>
</xsl:template>

<xsl:template match="movie">
  <xsl:param name="gap" />
  <xsl:param name="currentIndex" />
  <xsl:param name="lastIndex" />
  <xsl:param name="lastGap" />
  
  		<td align="center">
	
        
          <img width="125" height="185">
            <xsl:attribute name="src">pictures/1x1.png</xsl:attribute>
			<!--<xsl:attribute name="onfocussrc">pictures/1x1.png</xsl:attribute>-->
          </img>
   
     </td>
		
</xsl:template>

<xsl:template name="search-and-replace">
	<xsl:param name="input" />
	<xsl:param name="search-string" />
	<xsl:param name="replace-string" />
	<xsl:choose>
		<xsl:when test="$search-string and contains($input, $search-string)">
			<xsl:value-of select="substring-before($input,$search-string)" />
			<xsl:value-of select="$replace-string" />
			<xsl:call-template name="search-and-replace">
				<xsl:with-param name="input" select="substring-after($input,$search-string)" />
				<xsl:with-param name="search-string" select="$search-string" />
				<xsl:with-param name="replace-string" select="$replace-string" />
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise><xsl:value-of select="$input" /></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="substring-after-last"><!-- credits to excal -->
  <xsl:param name="string" />
  <xsl:param name="delimiter" />
  <xsl:choose>
    <xsl:when test="contains($string, $delimiter)">
      <xsl:call-template name="substring-after-last">
	<xsl:with-param	name="string"
	  select="substring-after($string, $delimiter)"	/>
	<xsl:with-param	name="delimiter" select="$delimiter" />
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$string" /></xsl:otherwise>
  </xsl:choose>
</xsl:template>

	<xsl:template name="substring-before-last">
		<xsl:param name="string" />
		<xsl:param name="delimiter" />
		<xsl:if test="$delimiter and contains($string, $delimiter)">
			<xsl:variable name="temp" select="substring-after($string, $delimiter)" />
			<xsl:value-of select="substring-before($string, $delimiter)" />
			<xsl:if test="contains($temp, $delimiter)">
				<xsl:value-of select="$delimiter" />
				<xsl:call-template name="substring-before-last">
					<xsl:with-param name="string" select="$temp" />
					<xsl:with-param name="delimiter" select="$delimiter" />
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	
	
	<xsl:template name="set-plotpage">
	<xsl:param name="tabheight" />
	<xsl:if test="$tabheight &gt; 190 and $IndexTVSummary='true' and library/movies/movie/season != -1">
<table height="305" border="0" cellspacing="0" cellpadding="10" background="pictures/dim/custom_tvbg-rset_dim.png">
				
						
						<tr><td colspan="2" height="190" valign="top" >
							

<xsl:variable name="titlelength" select="(0.06)*500"/>
<xsl:variable name="titlecut" select="($titlelength)-2"/>

<table border="0" cellspacing="0" cellpadding="0" width="850" height="190"><!--832-->
<!--<xsl:attribute name="height" select="280+$ScreenOverscan" />-->
	<tr><!-- height=257 width=852 total nothing -->
		
		<td height="200" width="590" valign="top"><!--426-->
			<table border="0" cellspacing="0" cellpadding="0">
               <tr>
			   <td valign="center" height="20" class="tvtt" >
				<!--<xsl:choose>
					<xsl:when test="string-length(//library/movies/movie[1]/title) &lt; $titlelength">
					<xsl:value-of select="//library/movies/movie[1]/title"/>
					</xsl:when>
					<xsl:otherwise>
					<xsl:value-of select="substring(//library/movies/movie[1]/title,1,$titlecut)"/>...
				</xsl:otherwise>
				</xsl:choose>-->
			</td>
			</tr>				
			
				<tr>
					<td height="220" valign="top" id="gtPlot">
						<xsl:if test="//library/movies/movie[1]/plot != 'UNKNOWN'">
						<xsl:variable name="gtPlot">
						<xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="//library/movies/movie[1]/plot"/> 
            			 	</xsl:with-param>
                           <xsl:with-param name="length" select="750" />
            		 		<xsl:with-param name="truncate_to_word_boundary" select="1" />
            	  	</xsl:call-template>
					</xsl:variable>
							<xsl:attribute name="class">plotpage</xsl:attribute>
								<xsl:call-template name="PreserveLineBreaksLong">
									<xsl:with-param name="text" select="$gtPlot"/>
								</xsl:call-template>
						</xsl:if>
						
					</td>
				</tr>
				<tr>
				<td>
				<xsl:if test="$ShowStarRating = 'true' and rating != '-1'">
					<img><xsl:attribute name="src">pictures/detail/rating_<xsl:value-of select="round(//library/movies/movie[1]/rating div 10)*10" />.png</xsl:attribute></img>
					</xsl:if>
				</td>
			  </tr>
		</table>
	</td>
 		<td valign="top">
			<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td width="30"></td>
					<td width="240">
							<table>
								<!--<tr><td height="10" colspan="2"></td>
								</tr>-->
								<tr>
									<td class="whitebold" width="150" align="left"><xsl:if test="$ShowRuntime='true' and //library/movies/movie[1]/runtime != ''"><xsl:value-of select="$Duration"/></xsl:if></td>
									<td class="whitebold" width="90" align="left"><xsl:if test="//library/movies/movie[1]/releaseDate != 'UNKNOWN'"><xsl:value-of select="$Release"/></xsl:if></td>
								</tr>
								<tr>
									<td class="whitenormal" width="150" align="left" >
									<xsl:if test="$ShowRuntime='true' and //library/movies/movie[1]/runtime != ''">
									<xsl:choose>
									<xsl:when test="string-length(//library/movies/movie[1]/runtime)&lt;15"><!-- 25-->
									<xsl:value-of select="//library/movies/movie[1]/runtime"/><xsl:if test="not(contains(//library/movies/movie[1]/runtime,'min'))">min</xsl:if>
									</xsl:when>
									<xsl:otherwise>
									<xsl:value-of select="substring(//library/movies/movie[1]/runtime,1,15)"/>...
									</xsl:otherwise>
									</xsl:choose>
									</xsl:if>
									</td>
									<td class="whitenormal" width="90" align="left" ><xsl:if test="//library/movies/movie[1]/releaseDate != 'UNKNOWN'"><xsl:value-of select="//library/movies/movie[1]/releaseDate" /></xsl:if></td>
								</tr>
								<tr>
								<td height="9" colspan="2"></td>
								</tr>
								<tr>	
									<td class="whitebold" colspan="2">
										<xsl:if test="$DirectedBy=''">DIRECTED BY</xsl:if>
										<xsl:if test="$DirectedBy!=''"><xsl:value-of select="$DirectedBy"/></xsl:if>
									</td>
								</tr>
								<tr>
								
									<td colspan="2">
										<xsl:if test="//library/movies/movie[1]/director != 'UNKNOWN'">
											<xsl:attribute name="class">whitenormal</xsl:attribute>
										  <xsl:choose>
											<xsl:when test="//library/movies/movie[1]/director/@index != ''">
												<xsl:value-of select="//library/movies/movie[1]/director" /> 
											</xsl:when>
											<xsl:otherwise>
											  <xsl:value-of select="//library/movies/movie[1]/director" />
											</xsl:otherwise>
										  </xsl:choose>
										</xsl:if>
									</td>
								
								
								</tr>
							<xsl:if test="$ShowWriter = 'true'">
							<tr>
								<td height="9" colspan="2"></td>
							</tr>
							<tr>
								<td valign="top" class="whitebold" colspan="2">
									<xsl:if test="$WrittenBy=''">WRITTEN BY</xsl:if>
									<xsl:if test="$WrittenBy!=''"><xsl:value-of select="$WrittenBy"/></xsl:if>
								</td>
								</tr>
								<tr>
									<td colspan="2">
									<xsl:if test="count(//library/movies/movie[1]/writers/writer) != 0">
										<xsl:for-each select="//library/movies/movie[1]/writers/writer[position() &lt;= $ShowMaxWriters]">
										<table border="0" cellpadding="0" cellspacing="0"><tr><td><xsl:attribute name="class">whitenormal</xsl:attribute>
										<xsl:if test="position()!= 1">  </xsl:if>
										<xsl:choose>
										  <xsl:when test="@index != ''">
											  <xsl:value-of select="." /> 
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="." /> 
										  </xsl:otherwise>
										</xsl:choose>
										</td></tr></table>
									  </xsl:for-each>
									</xsl:if>
									</td>
								</tr>
							</xsl:if>
							<tr>
								<td height="9" colspan="2"></td>
							</tr>
							<tr>
								<td valign="top" class="whitebold" colspan="2">
									<xsl:if test="$Starring=''">STARRING</xsl:if>
									<xsl:if test="$Starring!=''"><xsl:value-of select="$Starring"/></xsl:if>
								</td>
								</tr>
								<tr>
									<td colspan="2">	
									<xsl:if test="count(//library/movies/movie[1]/cast/actor) != 0">
										<xsl:variable name="maxActors" select="$ShowMaxActors" /> 
									  <xsl:for-each select="//library/movies/movie[1]/cast/actor[position() &lt;= $maxActors]">
									  <table border="0" cellpadding="0" cellspacing="0"><tr><td><xsl:attribute name="class">whitenormal</xsl:attribute>
										<xsl:if test="position()!=1">  </xsl:if>
										<xsl:choose>
										  <xsl:when test="@index != ''">
											  <xsl:value-of select="." /> 
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="." /> 
										  </xsl:otherwise>
										</xsl:choose>
										</td></tr></table>
									  </xsl:for-each>
									</xsl:if>
								</td>
							</tr>
							<xsl:if test="$ShowGenre='true'">
							<tr>
								<td height="9" colspan="2"></td>
							</tr>
							<tr>
								<td class="whitebold" colspan="2">
									<xsl:value-of select="translate($Genre,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
								</td>
								</tr>
								<tr>
								<td colspan="2">
									<xsl:if test="count(//library/movies/movie[1]/genres) != 0">
										<xsl:attribute name="class">whitenormal</xsl:attribute>
									  <xsl:for-each select="//library/movies/movie[1]/genres/genre[position() &lt;= $ShowMaxGenre]">
										<xsl:if test="position()!= 1"> / </xsl:if>
										<xsl:choose>
										  <xsl:when test="@index != ''">
											  <xsl:value-of select="." /> 
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="." /> 
										  </xsl:otherwise>
										</xsl:choose>
									  </xsl:for-each>
									</xsl:if>
								</td>
							</tr>
							</xsl:if>
					</table>
				</td>
				</tr>
			</table>
		</td>

	
	</tr>
</table>

</td>
</tr>
</table> 
</xsl:if>	
 </xsl:template>
 
  <xsl:template name="PreserveLineBreaksLong"><!-- WatchBar OFF -->
    <xsl:param name="text"/>
    <xsl:choose>
        <xsl:when test="contains($text,'&#xA;')">
            <xsl:value-of select="substring-before($text,'&#xA;')"/>
            <br/>
            <xsl:call-template name="PreserveLineBreaksLong">
                <xsl:with-param name="text">
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="substring-after($text,'&#xA;')"/>
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate(substring-after($text,"&#xA;"),"{}","&lt;&gt;")' />
				  </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:when>
		<xsl:when test="string-length($text)&lt;($PlotLength)+150">
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="$text"/><!-- old -->
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate($text,"{}","&lt;&gt;")'/>
				  </xsl:if>
		</xsl:when>
        <xsl:otherwise>
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="substring($text,1,($PlotLength)+146)"/>...<!-- old -->
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate(substring($text,1,($PlotLength)+146),"{}","&lt;&gt;")'/>...
				  </xsl:if>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

 <xsl:template name="genDivs.loop">
    <xsl:param name="i" />
    <xsl:param name="count" />
    <xsl:param name="sType" />

    <xsl:variable name="divId">
      <xsl:choose>
        <!-- letzte Seite, nicht letzte reihe -->
        <xsl:when test="$sType='category'">catDiv</xsl:when>
        <xsl:otherwise>genDiv</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="divClass">
      <xsl:choose>
        <!-- letzte Seite, nicht letzte reihe -->
        <xsl:when test="$sType='category'">category</xsl:when>
        <xsl:otherwise>genre</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="LinkId">
      <xsl:choose>
        <!-- letzte Seite, nicht letzte reihe -->
        <xsl:when test="$sType='category'">catLink</xsl:when>
        <xsl:otherwise>genLink</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="SpanId">
      <xsl:choose>
        <!-- letzte Seite, nicht letzte reihe -->
        <xsl:when test="$sType='category'">catSpan</xsl:when>
        <xsl:otherwise>genSpan</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <xsl:if test="$i &lt;= $count">
      <div>
        <xsl:attribute name="class">abs <xsl:value-of select="$divClass" /> mnuItem mnuLine<xsl:value-of select="$i" /> showMenu</xsl:attribute>
        <xsl:attribute name="id"><xsl:value-of select="$divId" /><xsl:value-of select="$i" /></xsl:attribute>

        <xsl:choose>
          <xsl:when test="$i = 5">
            <a href="#">
            <xsl:attribute name="id"><xsl:value-of select="$LinkId" /><xsl:value-of select="$i" /></xsl:attribute>
            <xsl:attribute name="name"><xsl:value-of select="$LinkId" /><xsl:value-of select="$i" /></xsl:attribute>
            <xsl:attribute name="onkeydownset"><xsl:value-of select="$LinkId" />Down</xsl:attribute>
            <xsl:attribute name="onkeyupset"><xsl:value-of select="$LinkId" />Up</xsl:attribute>
            <xsl:choose>
              <xsl:when test="$sType = 'category'">
                <xsl:attribute name="onclick">setFocus('genLink5'); return false;</xsl:attribute>
                <xsl:attribute name="onkeyrightset">genLink5</xsl:attribute>
                <xsl:attribute name="onkeyleftset">genLink5</xsl:attribute>
              </xsl:when>
              <xsl:otherwise>
                <xsl:attribute name="onclick">changePage("<xsl:value-of select="$LinkId" /><xsl:value-of select="$i" />"); return false;</xsl:attribute>
                <xsl:attribute name="onkeyrightset">catLink5</xsl:attribute>
                <xsl:attribute name="onkeyleftset">catLink5</xsl:attribute>
              </xsl:otherwise>
            </xsl:choose>
            <img src="pictures/ppp/menu_link.png" ONFOCUSSRC="pictures/ppp/menu_active.png" class="menuImage" border="0" />
            </a>
            <span>
            <xsl:attribute name="id"><xsl:value-of select="$SpanId" /><xsl:value-of select="$i" /></xsl:attribute>
            <xsl:attribute name="class">menuLinkActive</xsl:attribute>
            &#160;
            </span>
          </xsl:when>
          <xsl:otherwise>
            <span>
            <xsl:attribute name="id"><xsl:value-of select="$SpanId" /><xsl:value-of select="$i" /></xsl:attribute>
            <xsl:attribute name="class">menuLink</xsl:attribute>
            &#160;
            </span>
          </xsl:otherwise>
        </xsl:choose>
      </div>
    </xsl:if>

    <xsl:if test="$i &lt;= $count">
      <xsl:call-template name="genDivs.loop">
          <xsl:with-param name="i">
              <xsl:value-of select="$i + 1"/>
          </xsl:with-param>
          <xsl:with-param name="count" select="$count" />
          <xsl:with-param name="sType" select="$sType" />
      </xsl:call-template>
    </xsl:if>

  </xsl:template>
  
  <xsl:template name="genMenuStyles.loop">
    <xsl:param name="i" />
    <xsl:param name="count" />

    <xsl:if test="$i &lt;= $count">
      .mnuLine<xsl:value-of select="$i" /> { top: <xsl:value-of select="($i -1) * 35 +135" />px; }
    </xsl:if>

    <xsl:if test="$i &lt;= $count">
      <xsl:call-template name="genMenuStyles.loop">
          <xsl:with-param name="i">
              <xsl:value-of select="$i + 1"/>
          </xsl:with-param>
          <xsl:with-param name="count" select="$count" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>

  
</xsl:stylesheet>
