<xsl:stylesheet version="1.0"	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                                xmlns:str="http://exslt.org/strings"
                                extension-element-prefixes="str">

<!--<xsl:import href="ppp/str.xsl" />-->

<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:include href="preferences.xsl"/>
<!-- <xsl:include href="skin-options.xsl"/> -->
<xsl:include href="skin-translation.xsl"/>
<xsl:include href="templates.xsl" />
<!--<xsl:include href="lowlist.xsl" />-->
<xsl:include href="tv-detail.xsl" />

<xsl:include href="./ppp/ppp-options.xsl" />
<xsl:include href="./ppp/ppp-templates.xsl" />
<xsl:include href="./ppp/ppp-detail-templates.xsl" />

<!-- truncate-phrase style sheet by Aaron Straup Cope http://www.aaronstraupcope.com -->
<xsl:include href="./ppp/truncate-phrase/truncate-phrase.xsl" />

<xsl:variable name="actorNum">
	<xsl:choose>
		<xsl:when test="/details/movie/season = '-1'">
			<xsl:value-of select="$actors.max.cnt" />
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$actors.tv.max.cnt" />
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>
<xsl:variable name="actorNumAdj" select="$actorNum + 1" />

<xsl:variable name="PlotCharacters" select="450" />
<xsl:variable name="iEpisodesPerPage" select="100" />

<xsl:variable name="currentHomePage">
   <xsl:choose>
    <xsl:when test="string-length($mjb.homePage) = '0'">Other_All_1</xsl:when>
    <xsl:otherwise><xsl:value-of select="$mjb.homePage"/></xsl:otherwise>
   </xsl:choose>
</xsl:variable>

<!-- OVERSCAN VALUE MATH HERE -->
<xsl:variable name="box-offset" select="$ScreenOverscan-offset+273+$ScreenOverscan" />
<xsl:variable name="bgr-offset" select="$ScreenOverscan-offset+260+$ScreenOverscan" />
<!-- OVERSCAN VALUE MATH HERE -->


<xsl:template match="/">
<xsl:for-each select="details/movie">
<html>
<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>!-- <xsl:value-of select="$gtversion"/> --<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>
<head>
  
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <title><xsl:value-of select="title"/></title>
  
<xsl:if test="season != -1">
	<script type="text/javascript">

		asEpisodePlot = new Array('0');
    asEpisodeTitle = new Array('0');
    asEpisodeImage = new Array('0');
    asEpisodeTitleShort = new Array('0');
    asEpisodeNo = new Array('0');
	asEpisodeUrl = new Array('0');
	asEpisodeVod = new Array('0');
	asEpisodePlaylist = new Array('0');
	asEpisodeWatched = new Array('0');
	</script>
	<xsl:call-template name="get-episode-infos" />
	
</xsl:if>

	<xsl:variable name="title" select="title"/>
	
<!--<xsl:variable name="plot">
  <xsl:choose>
    <xsl:when test="plot = '' or plot = 'UNKNOWN'">
      <xsl:text>Plot unavailable.</xsl:text>
    </xsl:when>
    <xsl:otherwise>
	
	  <xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="translate(plot,'&#xA;','')"/>
            			 	</xsl:with-param>
                           <xsl:with-param name="length" select="$PlotLength" />
            		 		<xsl:with-param name="truncate_to_word_boundary" select="1" />
							<xsl:with-param name="trailing_string">...</xsl:with-param >
            	  	</xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
  </xsl:variable> -->
<xsl:variable name="title" select="title"/>

<xsl:variable name="plot">
  <xsl:choose>
    <xsl:when test="plot = '' or plot = 'UNKNOWN'">
      <xsl:text>Plot unavailable.</xsl:text>
    </xsl:when>
    <xsl:otherwise>
	<xsl:variable name="temp-plot1">
      <xsl:call-template name="search-and-replace">
        <xsl:with-param name="input">
		  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
            <xsl:value-of select="plot"/>
		  </xsl:if>
		  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
			<xsl:value-of disable-output-escaping="yes" select='translate(plot,"{}","&lt;&gt;")' />
		  </xsl:if>
        </xsl:with-param>
        <xsl:with-param name="search-string">"</xsl:with-param>
        <xsl:with-param name="replace-string">\"</xsl:with-param>
      </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="temp-plot2">
      <xsl:call-template name="search-and-replace">
        <xsl:with-param name="input">
          <xsl:value-of select="$temp-plot1"/>
        </xsl:with-param>
        <xsl:with-param name="search-string">--</xsl:with-param>
        <xsl:with-param name="replace-string">-</xsl:with-param>
      </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="temp-plot">
      <xsl:choose>
        <xsl:when test="substring($temp-plot2, (string-length($temp-plot2) - string-length('-')) + 1) = '-'">
          <xsl:value-of select="substring($temp-plot2, 1, (string-length($temp-plot2) - 1))"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$temp-plot2"/>
        </xsl:otherwise>
      </xsl:choose>
      </xsl:variable>
      <xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="translate($temp-plot,'&#xA;','')"/>
            			 	</xsl:with-param>
                           <xsl:with-param name="length" select="$PlotLength" />
            		 		<xsl:with-param name="truncate_to_word_boundary" select="1" />
							<xsl:with-param name="trailing_string"><xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">...</xsl:if></xsl:with-param >
            	  	</xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
  </xsl:variable>

  
	  
  <script type="text/javascript">
  <xsl:comment>
  	var sPlotLong = "<xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="translate($plot,'&#xA;','')"/>
            			 	</xsl:with-param>
                           <xsl:with-param name="length" select="600" />
            		 		<xsl:with-param name="truncate_to_word_boundary" select="1" />
							<xsl:with-param name="trailing_string">...</xsl:with-param >
            	  	</xsl:call-template>";
	var sTitleLong = "<xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="translate($title,'&#xA;','')"/>
            			 	</xsl:with-param>
                           <xsl:with-param name="length" select="35" />
            		 		<xsl:with-param name="truncate_to_word_boundary" select="1" />
							<xsl:with-param name="trailing_string">...</xsl:with-param >
            	  	</xsl:call-template>";
	var fWatch = <xsl:value-of select="$WatchBar"/>;
	var fTVplaylist= <xsl:value-of select="$TVPlaylist"/>;
  </xsl:comment>
  </script>

  <xsl:if test="season = -1">
    <script type="text/javascript">
  <xsl:comment>
	asPlotPart = new Array('0');
	
	var sFileURL = "<xsl:choose><xsl:when test="count(files/file) > 1"><xsl:value-of select="baseFilename"/>.playlist.jsp,playlist</xsl:when><xsl:otherwise><xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="files/file[1]/fileURL"/><xsl:with-param name="search-string">\</xsl:with-param><xsl:with-param name="replace-string">\\</xsl:with-param></xsl:call-template>,<xsl:choose><xsl:when test="container='DVD Video' or container='dvd video'">zcd</xsl:when><xsl:when test="container = 'ISO' or ends-with(files/file[1]/fileURL, '.ISO') or ends-with(files/file[1]/fileURL, '.iso')">zcd</xsl:when><xsl:when test="container = 'IMG' or ends-with(files/file[1]/fileURL, '.IMG') or ends-with(files/file[1]/fileURL, '.img')">zcd</xsl:when><xsl:when test="ends-with(files/file[1]/fileURL, 'VIDEO_TS')">zcd</xsl:when><xsl:otherwise>vod</xsl:otherwise></xsl:choose></xsl:otherwise></xsl:choose>";
	
	var asWatchbar=["Plot"<xsl:if test="count(//movie/extras/extra[contains(@title, 'Bonus')]) != 0 or count(//movie/extras/extra[contains(@title, 'BONUS')]) != 0 or count(//movie/extras/extra[contains(@title, 'bonus')]) != 0">,"Bonus"</xsl:if>
	<xsl:if test="count(//movie/extras/extra[contains(@title, 'Extra')]) != 0 or count(//movie/extras/extra[contains(@title, 'EXTRA')]) != 0 or count(//movie/extras/extra[contains(@title, 'extra')]) != 0 or count(//movie/extras/extra[contains(@title, 'UNKNOWN')]) != 0">,"Extra"</xsl:if>
	<xsl:if test="count(//movie/extras/extra[contains(@title, 'Trailer')]) != 0 or count(//movie/extras/extra[contains(@title, 'TRAILER')]) != 0 or count(//movie/extras/extra[contains(@title, 'trailer')]) != 0">,"Trailer"</xsl:if>
	<xsl:if test="count(files/file) != 1">,"Multi"</xsl:if><xsl:if test="$extras='true'">,"Index"</xsl:if>];

	var asBonus=["0",<xsl:for-each select="extras/extra[contains(@title,'Bonus') or contains(@title,'BONUS') or contains(@title,'bonus')]">"<xsl:call-template name="transform-url"><xsl:with-param name="url" select="."/></xsl:call-template>,<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="."/><xsl:with-param name="search-string">\</xsl:with-param><xsl:with-param name="replace-string">\\</xsl:with-param></xsl:call-template>,<xsl:choose><xsl:when test="ends-with(., '.ISO') or ends-with(., '.iso')">zcd</xsl:when><xsl:when test="ends-with(., '.IMG') or ends-with(., '.img')">zcd</xsl:when><xsl:when test="ends-with(., 'VIDEO_TS')">zcd</xsl:when><xsl:otherwise>vod</xsl:otherwise></xsl:choose>"<xsl:if test="position() != last()">,</xsl:if></xsl:for-each>];	
	var asExtra=["0",<xsl:for-each select="extras/extra[contains(@title,'Extra') or contains(@title,'EXTRA') or contains(@title,'extra')]">"<xsl:call-template name="transform-url"><xsl:with-param name="url" select="."/></xsl:call-template>,<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="."/><xsl:with-param name="search-string">\</xsl:with-param><xsl:with-param name="replace-string">\\</xsl:with-param></xsl:call-template>,<xsl:choose><xsl:when test="ends-with(., '.ISO') or ends-with(., '.iso')">zcd</xsl:when><xsl:when test="ends-with(., '.IMG') or ends-with(., '.img')">zcd</xsl:when><xsl:when test="ends-with(., 'VIDEO_TS')">zcd</xsl:when><xsl:otherwise>vod</xsl:otherwise></xsl:choose>"<xsl:if test="position() != last()">,</xsl:if></xsl:for-each>];	
	var asTrailer=["0",<xsl:for-each select="extras/extra[contains(@title,'Trailer') or contains(@title,'TRAILER') or contains(@title,'trailer')]">"<xsl:call-template name="transform-url"><xsl:with-param name="url" select="."/></xsl:call-template>,<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="."/><xsl:with-param name="search-string">\</xsl:with-param><xsl:with-param name="replace-string">\\</xsl:with-param></xsl:call-template>,<xsl:choose><xsl:when test="ends-with(., '.ISO') or ends-with(., '.iso')">zcd</xsl:when><xsl:when test="ends-with(., '.IMG') or ends-with(., '.img')">zcd</xsl:when><xsl:when test="ends-with(., 'VIDEO_TS')">zcd</xsl:when><xsl:otherwise>vod</xsl:otherwise></xsl:choose>"<xsl:if test="position() != last()">,</xsl:if></xsl:for-each>];	
	var asMultiPart=["0",<xsl:if test="count(files/file) > 1"><xsl:for-each select="files/file">"<xsl:call-template name="transform-url"><xsl:with-param name="url" select="fileURL"/></xsl:call-template>,<xsl:call-template name="search-and-replace"><xsl:with-param name="input" select="fileURL"/><xsl:with-param name="search-string">\</xsl:with-param><xsl:with-param name="replace-string">\\</xsl:with-param></xsl:call-template>,<xsl:choose><xsl:when test="ends-with(., '.ISO') or ends-with(., '.iso')">zcd</xsl:when><xsl:when test="ends-with(., '.IMG') or ends-with(., '.img')">zcd</xsl:when><xsl:when test="ends-with(., 'VIDEO_TS')">zcd</xsl:when><xsl:otherwise>vod</xsl:otherwise></xsl:choose>"<xsl:if test="position() != last()">,</xsl:if></xsl:for-each></xsl:if>];	
	
	<xsl:if test="$extras='true'">
	var asIndex=["0",<xsl:if test="year/@index != ''">"<xsl:value-of select="$Year" />: <xsl:value-of select="year" />,<xsl:value-of select="year/@index" />.html"</xsl:if><xsl:for-each select="genres/genre[position() &lt;= $genres.max]"><xsl:if test="@index != ''">,"<xsl:value-of select="$Genres" />: <xsl:value-of select="." />,<xsl:value-of select="@index" />.html"</xsl:if></xsl:for-each>
	<xsl:if test="count(directors) != 0"><xsl:for-each select="directors"><xsl:if test="@index != ''">,"<xsl:value-of select="$Director" />: <xsl:value-of select="." />,<xsl:value-of select="@index" />.html"</xsl:if></xsl:for-each></xsl:if>
	<xsl:if test="country != 'UNKNOWN' and country/@index != ''">,"<xsl:value-of select="$Country" />: <xsl:value-of select="country" />,<xsl:value-of select="country/@index" />.html"</xsl:if>
	<xsl:if test="count(writers) != 0"><xsl:for-each select="writers"><xsl:if test="@index != ''">,"<xsl:value-of select="$Writer" />: <xsl:value-of select="." />,<xsl:value-of select="@index" />.html"</xsl:if></xsl:for-each></xsl:if>
	<xsl:if test="count(cast/actor) != 0"><xsl:for-each select="cast/actor[position() &lt;= $actors.max]"><xsl:if test="@index != ''">,"<xsl:value-of select="$Cast" />: <xsl:value-of select="." />,<xsl:value-of select="@index" />.html"</xsl:if></xsl:for-each></xsl:if>];
	</xsl:if>
	</xsl:comment>
  </script>
	</xsl:if>
	<xsl:if test="season = -1">
  <xsl:call-template name="split-plot" >
<xsl:with-param name="sPlot" select="$plot" />
<xsl:with-param name="iMaxChars" select="$PlotCharacters" />
</xsl:call-template>
</xsl:if>
  <xsl:choose>
<xsl:when test="season != -1 and $TVEpisodeList = 'true'">
 <xsl:call-template name="get-gttvlist-js" />
 </xsl:when>
 <xsl:when test="season != -1 and $TVEpisodeList = 'false'">
 <xsl:call-template name="get-gttv-js" />
 </xsl:when>
 <xsl:otherwise>
  <xsl:call-template name="get-gtlowlist-js" />
  </xsl:otherwise>
 </xsl:choose>
 <link rel="StyleSheet" type="text/css" href="exportdetails_item_popcorn.css"></link>
	<style type="text/css">

#EpisodeImgFrame {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+72"/>px; left: 90px;!important}
#EpisodeImg {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+82"/>px; left: 100px;!important}
#EpisodeCertification {top: 597px; left: 161px;!important}

#tvbgdimr { visibility: visible; position: absolute; top: <xsl:value-of select="$bgr-offset"/>px; left: 1187px;}

#EpisodeWatched {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+72"/>px; left: 90px;!important}

<xsl:if test="$ShowDetailFrame = 'big' and $ShowDetailFrameBox = 'false'">
#Cover_Detail_NMT {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+10"/>px; left: 95px;!important}
#Frame_Detail_NMT {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset"/>px; left: 85px;!important}
#IconWatched {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+10"/>px; left: 95px;!important}
</xsl:if>

<xsl:if test="$ShowDetailFrame = 'small' and $ShowDetailFrameBox = 'false'">
#Cover_Detail_NMT {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+89"/>px; left: 114px;!important}
#Frame_Detail_NMT {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+80"/>px; left: 105px;!important}
#IconWatched {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+89"/>px; left: 114px;!important}
</xsl:if>

<xsl:if test="$ShowDetailFrame = 'big' and $ShowDetailFrameBox = 'true'">
#Cover_Detail_NMT {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+35"/>px; left: 95px;!important}
#Frame_Detail_NMT {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset"/>px; left: 85px;!important}
#IconWatched {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+35"/>px; left: 95px;!important}
</xsl:if>

<xsl:if test="$ShowDetailFrame = 'small' and $ShowDetailFrameBox = 'true'">
#Cover_Detail_NMT {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+89"/>px; left: 114px;!important}
#Frame_Detail_NMT {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+57"/>px; left: 105px;!important}
#IconWatched {visibility: visible; position: absolute; top: <xsl:value-of select="$box-offset+89"/>px; left: 114px;!important}
</xsl:if>


.year {
    color: #868686!important;
    font-weight: normal!important;
    font-size: 28pt!important;
}

.tvtts {
    color: #ffffff;
    font-weight: normal;
    font-size: 18pt;
}
.plotpage { 
    color: #ffffff;
    font-weight: normal;
    font-size: 12pt;
}



.test {color: c6cace; font-weight: normal; font-size: 32pt;!important}
.tvtt {font-size:26pt; font-weight: bold; color:#FFFFFF}
.tvtt_small {font-size:20pt; font-weight: bold; color:#FFFFFF}

.tvseason {color: c6cace; font-weight: normal; font-size: 32pt;!important}
.tvyear {color: 868686; font-weight: normal; font-size: 32pt;!important}
.tveptitle {font-size:26pt; font-weight: bold; color:#FFFFFF}

.tveptitle24 {font-size:24pt; font-weight: bold; color:#FFFFFF}
.tveptitle22 {font-size:22pt; font-weight: bold; color:#FFFFFF}
.tveptitle20 {font-size:20pt; font-weight: bold; color:#FFFFFF}
.tveptitle18 {font-size:18pt; font-weight: bold; color:#FFFFFF}
.tveptitle16 {font-size:16pt; font-weight: bold; color:#FFFFFF}
.tveptitle14 {font-size:14pt; font-weight: bold; color:#FFFFFF}

.tvplot {color: ececec; font-weight: normal; font-size: 13pt;!important}
.TvLink {color: 868686; font-size: 12pt; font-weight: bold;!important}
.TvLink11 {color: 868686; font-size: 11pt; font-weight: bold;!important}
.rating {color: ffffff; font-weight: 400; font-size: 18pt;!important}


</style>

<link rel="StyleSheet" type="text/css" href="no_nmt.css" media="screen"></link>
<!--<script>
  wlocation="<xsl:value-of select="$mjb.watchedLocation"/>"
</script>
<script language="JavaScript" src="watched.js" type="text/javascript">
//<![CDATA[
//]]>
</script>-->
</head>
	<xsl:choose>
	  <xsl:when test="season=-1">

<body id="detailPage" bgproperties="fixed" bgcolor="#000000" onloadset="play" topmargin="0" leftmargin="0" focustext="#ffffff">

			<xsl:attribute name="background">
				<xsl:if test="fanartFile!='UNKNOWN'"><xsl:value-of select="fanartFile"/></xsl:if>
				<xsl:if test="fanartFile='UNKNOWN'">pictures/detail/dummy_fanart.jpg</xsl:if>
			</xsl:attribute>

<!-- BEGIN LOWLIST MOVIE DETAILS PAGE CODE HERE -->

<table height="720" border="0" cellspacing="0" cellpadding="0" width="1280">
<!--<xsl:if test="$extras='false'"><xsl:attribute name="width">1280</xsl:attribute></xsl:if>
<xsl:if test="$extras='true'"><xsl:attribute name="width">2650</xsl:attribute></xsl:if>-->
<tr><td width="1280">
<table height="720" border="0" cellspacing="0" cellpadding="0" width="1280">

<tr><td width="1187" valign="top"><!-- 377 -->
<xsl:attribute name="height" select="275+$ScreenOverscan" />
	<table border="0" cellspacing="0" cellpadding="0" width="1187">
    <tr>
    <td height="50" ></td>


</tr>
</table>									
</td>
<!-- 268+400=703 -->
<td width="93" align="left" valign="middle" rowspan="2" height="720" background="pictures/dim/custom_header-right.png">

      <!-- Navigation using remote keys: Home, PageUP/PageDown (Previous/Next) -->
	  <!-- GT-MOD WATCHBAR Start -->
	  <xsl:if test="season = -1">
	  <a name="pageUp" onfocus="pageUp()" onfocusset="play" onfocusload="">
        <xsl:attribute name="TVID"><xsl:value-of select="$WatchbarKeyUp" /></xsl:attribute>
        <xsl:attribute name="href">#play</xsl:attribute>
		<xsl:attribute name="onclick">pageUp()</xsl:attribute>
		<img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/>
      </a>
	  <a name="pageDown" onfocus="pageDown()" onfocusset="play" onfocusload="">
        <xsl:attribute name="TVID"><xsl:value-of select="$WatchbarKeyDown" /></xsl:attribute>
        <xsl:attribute name="href">#play</xsl:attribute>
		<xsl:attribute name="onclick">pageDown()</xsl:attribute>
		<img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/>
      </a>
	  <xsl:if test="(count(extras) != 0) or (count(files/file) != 1) or $extras='true'">
	  <a>
        <xsl:attribute name="TVID"><xsl:value-of select="$WatchbarKeyLeft" /></xsl:attribute>
        <xsl:attribute name="href">#play</xsl:attribute>
		<xsl:attribute name="onclick">clickLeft()</xsl:attribute>
		<img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/>
      </a>
	  <a>
        <xsl:attribute name="TVID"><xsl:value-of select="$WatchbarKeyRight" /></xsl:attribute>
        <xsl:attribute name="href">#play</xsl:attribute>
		<xsl:attribute name="onclick">clickRight()</xsl:attribute>
		<img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/>
      </a>
	  </xsl:if>
	  <a>
        <xsl:attribute name="TVID"><xsl:value-of select="$WatchbarKeyToggle" /></xsl:attribute>
        <xsl:attribute name="href">#play</xsl:attribute>
		<xsl:attribute name="onclick">toggleWatchbar()</xsl:attribute>
		<img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/>
      </a>
	  </xsl:if>
	   <!-- GT-MOD WATCHBAR End-->
	   
	<xsl:call-template name="gt-playfile"/>
</td>


</tr>
<tr>
	<td>
		<table id="lowlist" width="1187" height="300" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td width="342" height="400" valign="top"  align="right">
						<xsl:attribute name="background">pictures/dim/custom_tvbg-mov-l_dim.png</xsl:attribute>
					
				</td>
				<td>
					<table height="290" border="0" cellspacing="0" cellpadding="0">
					

<tr>
<td height="42"></td>
</tr>
						
						<tr><td colspan="2" height="380" valign="top">
							<xsl:attribute name="background">pictures/dim/custom_tvbg-r_dim.png</xsl:attribute>


<table border="0" cellspacing="0" cellpadding="0" width="845" height="300"><!--832-->

	<tr><!-- height=257 width=852 total nothing -->
		<td height="200" width="40" valign="top">
		</td>
		<td height="200" width="550" valign="top"><!--426-->
			<table border="0" cellspacing="0" cellpadding="0">
               <tr>
			   <td valign="center" height="80" colspan="2">
			   <xsl:if test="$AlignRight='true' or $mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
							<xsl:attribute name="align">right</xsl:attribute></xsl:if>
			   <xsl:choose>
					<xsl:when test="string-length(title) &lt; 30">
						<xsl:attribute name="class">tvtt</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="class">tvtt_small</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			 
				<xsl:choose>
					<xsl:when test="string-length(title) &lt; 60">
						<xsl:value-of select="title"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="substring(title,1,58)"/><xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">...</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
			</td>
			</tr>
		
				<tr>
					<td height="170" width="550" valign="top" id="gtPlot" colspan="2">
						<xsl:if test="$AlignRight='true' or $mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
							<xsl:attribute name="align">right</xsl:attribute>
						</xsl:if>
						<xsl:if test="plot != 'UNKNOWN'">
						<xsl:variable name="gtPlot">
						<xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="plot"/> 
            			 	</xsl:with-param>
                           <xsl:with-param name="length" select="$PlotCharacters" />
            		 		<xsl:with-param name="truncate_to_word_boundary" select="1" />
							<xsl:with-param name="trailing_string"><xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">...</xsl:if></xsl:with-param >
            	  	</xsl:call-template>
					</xsl:variable>
							<xsl:attribute name="class">plot</xsl:attribute>
								<xsl:call-template name="PreserveLineBreaksLowList">
									<xsl:with-param name="text" select="$gtPlot"/>
								</xsl:call-template>
						</xsl:if>
						<xsl:if test="plot = 'UNKNOWN'">&#160;</xsl:if>
					</td>
				</tr>
				<tr>
			<td height="30" valign="center" width="500">
<table id="watchbar" height="30" valign="center">
<xsl:if test="$WatchBar = 'false'">
<xsl:attribute name="class">hidden</xsl:attribute>
</xsl:if>

<tr>
<td>
<img id="imgPlot" src="pictures/gtmod/imgPloton.png" height="12" />				  
<xsl:if test="count(extras) != 0"><!-- EXTRAS -->

<xsl:if test="count(//movie/extras/extra[contains(@title,'Bonus') or contains(@title,'BONUS') or contains(@title,'bonus')]) != 0">
<img  id="imgBonus" src="pictures/gtmod/imgBonusoff.png" height="12" />	
</xsl:if>
<xsl:if test="count(//movie/extras/extra[contains(@title,'Extra') or contains(@title,'EXTRA') or contains(@title,'extra')]) != 0 or count(//movie/extras/extra[@title = 'UNKNOWN']) != 0">
<img  id="imgExtra" src="pictures/gtmod/imgExtraoff.png" height="12" />
</xsl:if>
<xsl:if test="count(//movie/extras/extra[contains(@title,'Trailer') or contains(@title,'TRAILER') or contains(@title,'trailer')]) != 0">
<img  id="imgTrailer" src="pictures/gtmod/imgTraileroff.png" height="12" />
</xsl:if>

</xsl:if>

<!-- MULTI -->
<xsl:if test="count(files/file) != 1"><img  id="imgMulti" src="pictures/gtmod/imgMultioff.png" height="12" /></xsl:if>	

<xsl:if test="$extras='true'"><img  id="imgIndex" src="pictures/gtmod/imgIndexoff.png" height="12" /></xsl:if>								
                                    
</td></tr></table>
				</td>
<xsl:variable name="plot">
  <xsl:choose>
    <xsl:when test="plot = '' or plot = 'UNKNOWN'">
      <xsl:text>Plot unavailable.</xsl:text>
    </xsl:when>
    <xsl:otherwise>
	
	  <xsl:call-template name="truncate_phrase">
            			 	<xsl:with-param name="phrase">
            			  <xsl:value-of select="translate(plot,'&#xA;','')"/>
            			 	</xsl:with-param>
                           <xsl:with-param name="length" select="$PlotLength" />
            		 		<xsl:with-param name="truncate_to_word_boundary" select="1" />
							<xsl:with-param name="trailing_string">...</xsl:with-param >
            	  	</xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
  </xsl:variable> 
				<td valign="top" align="right" id="pages" class="plotpage" height="12">&#160;<xsl:if test="string-length($plot) &gt; $PlotCharacters">1 / <xsl:value-of select="floor(string-length($plot) div $PlotCharacters)+1"/></xsl:if>
			
				</td>
			</tr>
				
		</table>

				
				<table border="0" cellspacing="0" cellpadding="0" height="40">				
					<tr>
					<td><img src="pictures/detail/1x688.png" height="40"/></td>	
				<td class="gray">
					<xsl:if test="$ShowStarRating = 'true'">
						<img><xsl:attribute name="src">pictures/detail/rating_<xsl:value-of select="round(rating div 10)*10" />.png</xsl:attribute></img>
					</xsl:if>
				</td>
				<xsl:if test="$ShowNumberRating = 'true'"><td class="gray">&#160;(<xsl:value-of select="rating div 10" />/10)</td></xsl:if>	
					<xsl:if test="$ShowAudiotracks='true'">  
					<td width="30" align="center" class="gray">&#160;&#160;</td>
					<td class="plot" width="40"><img src="pictures/flags/audio.png" height="24"/></td>
									<td height="40" class="gray" valign="middle">
							<xsl:variable name="pAudioCodec" select="tokenize(//details/movie/audioCodec,' / ')"/>
							<xsl:variable name="maxAudio" select="$ShowMaxAudio" /> 
							<xsl:choose>
							<xsl:when test="count($pAudioCodec) &gt; $maxAudio">
							<xsl:for-each select="$pAudioCodec[position() &lt;= $maxAudio]">
							<xsl:if test="position()!= 1"> / </xsl:if>
							<xsl:value-of select="." />
							</xsl:for-each> /...
							</xsl:when>
							<xsl:otherwise><xsl:value-of select="audioCodec" /></xsl:otherwise>
							</xsl:choose>
												</td>
					</xsl:if>
					
					  <xsl:if test="$ShowSubtitlesList='true'">  
						<xsl:if test="$ShowAudiotracks='true'"> <td width="30" align="center" class="gray">&#160;&#160;</td></xsl:if>
                 <td class="plot" width="40" height="30"><img src="pictures/flags/subtitles.png"/></td>
              <td class="gray">
						<xsl:variable name="pSubtitles" select="tokenize(//details/movie/subtitles,' / ')"/>
							<xsl:variable name="maxSub" select="$ShowMaxSub" /> 
							<xsl:choose>
							<xsl:when test="count($pSubtitles) &gt; $maxSub">
							<xsl:for-each select="$pSubtitles[position() &lt;= $maxSub]">
							<xsl:if test="position()!= 1"> / </xsl:if>
							<xsl:value-of select="." />
							</xsl:for-each> /...
							</xsl:when>
							<xsl:otherwise><xsl:value-of select="subtitles" /></xsl:otherwise>
							</xsl:choose></td>
                   
					 </xsl:if>
					 
							
				<xsl:if test="count(files/file) != 1 and $ShowMultipart='true'"> <td width="30" align="center" class="gray">&#160;&#160;</td>
					 					
											<td height="30" width="40">
											<xsl:attribute name="class">gray</xsl:attribute>
											<img src="pictures/detail/multi.png" height="25"/></td>
											<td class="gray"><xsl:value-of select="count(files/file)" /></td>
				</xsl:if>
				
										
               	</tr>
            </table>
					          
		</td>
		<!--<td height="200" width="40" valign="top">
		</td>-->
		<td valign="top">
			<table border="0" cellspacing="10" cellpadding="0">
				<tr>
					<td width="20"></td>
					<td width="240">
							<table>
								<tr>
									<td height="10"></td>
								</tr>
								
								
								<tr>
									<td>
										<table>
											<tr>
												
												<xsl:if test="$ShowRuntime='true' and runtime != ''">
													<td>
													<table>
														<tr>
															<td class="whitebold" width="90" align="left">
																<xsl:value-of select="translate($Duration,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
															</td>
														</tr>
														<tr>
															<td class="whitenormal" width="140" align="left" >
																<xsl:choose>
																	<xsl:when test="string-length(runtime)&lt;15">
																		<xsl:value-of select="runtime"/>
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of select="substring(runtime,1,15)"/>...
																	</xsl:otherwise>
																</xsl:choose>
															</td>
														</tr>
													</table>
													</td>
												</xsl:if>
												<xsl:if test="$ShowFilesize='true' and fileSize != ''">
													<td>
													<table>
														<tr>
															<td class="whitebold" width="90" align="left">
																<xsl:value-of select="translate($Filesize,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
															</td>
														</tr>
														<tr>
															<td class="whitenormal" width="140" align="left" >
																<xsl:value-of select="fileSize" />
															</td>
														</tr>
													</table>
													</td>
												</xsl:if>
												<xsl:if test="$ShowCountry='true' and country != ''">
													<td>
													<table>
														<tr>
															<td class="whitebold" width="90" align="left">
																<xsl:value-of select="translate($Country,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
															</td>
														</tr>
														<tr>
															<td class="whitenormal" width="140" align="left" >
																<xsl:choose>
																	<xsl:when test="string-length(country)&lt;15"><xsl:value-of select="country"/></xsl:when>
																	<xsl:otherwise><xsl:value-of select="substring(country,1,15)"/>...</xsl:otherwise>
																</xsl:choose>
															</td>
														</tr>
													</table>
													</td>
												</xsl:if>
												
												<xsl:if test="$ShowYear='true' and year != ''">
													<td>
													<table>
														<tr>
															<td class="whitebold" width="90" align="left">
																<xsl:value-of select="translate($Release,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
															</td>
														</tr>
														<tr>
															<td class="whitenormal" width="140" align="left" >
																<xsl:value-of select="year" />
															</td>
														</tr>
													</table>
													</td>
												</xsl:if>
												
												<xsl:if test="$ShowTop250='true' and top250 != '-1'">
													<td>
													<table>
														<tr>
															<td class="whitebold" width="90" align="left">TOP 250</td>
														</tr>
														<tr>
															<td class="whitenormal" width="50" align="left" ># <xsl:value-of select="top250"/></td>
														</tr>
													</table>
													</td>
												</xsl:if>
												<td/>
											</tr>
										</table>
									</td>		
								</tr>
					<tr>
						<td>
							<table>	
					<tr>
						<td>
							<table>	
								<!--<xsl:if test="$ShowRuntime='true' or $ShowFilesize='true' or $ShowCountry='true' or $ShowYear='true'">
								<tr>
									<td height="9"></td>
								</tr>
								</xsl:if>-->
								<xsl:if test="director != 'UNKNOWN'">
								<tr>	
									<td class="whitebold">
										<xsl:if test="$DirectedBy=''">DIRECTED BY</xsl:if>
										<xsl:if test="$DirectedBy!=''"><xsl:value-of select="$DirectedBy"/></xsl:if>
									</td>
								</tr>
								<tr>
								
									<td >
										
											<!--<xsl:attribute name="class">whitenormal</xsl:attribute>
										  <xsl:choose>
											<xsl:when test="director/@index != ''">
												<xsl:value-of select="director" /> 
											</xsl:when>
											<xsl:otherwise>
											  <xsl:value-of select="director" />
											</xsl:otherwise>
										  </xsl:choose>-->
										  <xsl:for-each select="directors/director[position() &lt;= $ShowMaxWriters]">
										<table border="0" cellpadding="0" cellspacing="0"><tr><td><xsl:attribute name="class">whitenormal</xsl:attribute>
										<xsl:if test="position()!= 1">  </xsl:if>
										<xsl:choose>
										  <xsl:when test="@index != ''">
											  <xsl:value-of select="." /> 
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="." /> 
										  </xsl:otherwise>
										</xsl:choose>
										</td></tr></table>
									  </xsl:for-each>
										
									</td>
								
								
								</tr>
							</xsl:if>
							<xsl:if test="$ShowWriter = 'true' and count(writers/writer) != 0">
							<tr>
								<td height="9"></td>
							</tr>
							<tr>
								<td valign="top" class="whitebold">
									<xsl:if test="$WrittenBy=''">WRITTEN BY</xsl:if>
									<xsl:if test="$WrittenBy!=''"><xsl:value-of select="$WrittenBy"/></xsl:if>
								</td>
								</tr>
								<tr>
									<td>
									<xsl:if test="count(writers/writer) != 0">
										<xsl:for-each select="writers/writer[position() &lt;= $ShowMaxWriters]">
										<table border="0" cellpadding="0" cellspacing="0"><tr><td><xsl:attribute name="class">whitenormal</xsl:attribute>
										<xsl:if test="position()!= 1">  </xsl:if>
										<xsl:choose>
										  <xsl:when test="@index != ''">
											  <xsl:value-of select="." /> 
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="." /> 
										  </xsl:otherwise>
										</xsl:choose>
										</td></tr></table>
									  </xsl:for-each>
									</xsl:if>
									</td>
								</tr>
							</xsl:if>
							<xsl:if test="count(cast/actor) != 0">
							<tr>
								<td height="9"></td>
							</tr>
							<tr>
								<td valign="top" class="whitebold">
									<xsl:if test="$Starring=''">STARRING</xsl:if>
									<xsl:if test="$Starring!=''"><xsl:value-of select="$Starring"/></xsl:if>
								</td>
								</tr>
								<tr>
									<td>	
									
										<xsl:variable name="maxActors" select="$ShowMaxActors" /> 
									  <xsl:for-each select="cast/actor[position() &lt;= $maxActors]">
									  <table border="0" cellpadding="0" cellspacing="0"><tr><td><xsl:attribute name="class">whitenormal</xsl:attribute>
										<xsl:if test="position()!=1">  </xsl:if>
										<xsl:choose>
										  <xsl:when test="@index != ''">
											  <xsl:value-of select="." /> 
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="." /> 
										  </xsl:otherwise>
										</xsl:choose>
										</td></tr></table>
									  </xsl:for-each>
									
								</td>
							</tr>
							</xsl:if>
							<xsl:if test="$ShowGenre='true'">
							<tr>
								<td height="9"></td>
							</tr>
							<tr>
								<td class="whitebold">
									<xsl:value-of select="translate($Genre,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
								</td>
								</tr>
								<tr>
								<td>
									<xsl:if test="count(genres) != 0">
										<xsl:attribute name="class">whitenormal</xsl:attribute>
									  <xsl:for-each select="genres/genre[position() &lt;= $ShowMaxGenre]">
										<xsl:if test="position()!= 1"> / </xsl:if>
										<xsl:choose>
										  <xsl:when test="@index != ''">
											  <xsl:value-of select="." /> 
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="." /> 
										  </xsl:otherwise>
										</xsl:choose>
									  </xsl:for-each>
									</xsl:if>
								</td>
							</tr>
							</xsl:if>
							<xsl:if test="$ShowLibrary = 'true' and libraryDescription != 'UNKNOWN'">
							<tr>
								<td height="9"></td>
							</tr>
							<tr>
								<td class="whitebold">
									<xsl:value-of select="translate($Library,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
								</td></tr>
								<tr>
								<td>
									<xsl:if test="libraryDescription != 'UNKNOWN'">
										<xsl:attribute name="class">whitenormal</xsl:attribute>
										<xsl:value-of select="libraryDescription" /> 
									</xsl:if>
								</td>
							</tr>
							</xsl:if>
							</table>	
					</td>
				</tr>	
						</table>	
					</td>
				</tr>	
					</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
<tr>
		<td height="55" colspan="3" align="left">
			<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="55" width="40" valign="top"></td>
					<td>
						<!--
						<xsl:if test="$ShowVideoSource='true'"><xsl:call-template name="videoSource" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowVideoCodec='true'"><xsl:call-template name="videoCodec" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowAudioCodec='true'"><xsl:call-template name="audioCodec" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowSubtitles='true'"><xsl:call-template name="subtitles" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowContainer='true'"><xsl:call-template name="container" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowVideoOutput='true'"><xsl:call-template name="videoOutput" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowFrameRate='true'"><xsl:call-template name="framerate" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowAspectRatio='true'"><xsl:call-template name="aspectratio"/>&#160;&#160;</xsl:if>
						-->
						
						<xsl:if test="$ShowAspectRatio='true'"><xsl:call-template name="aspectratio"/>&#160;&#160;</xsl:if>
						<xsl:if test="$ShowVideoSource='true'"><xsl:call-template name="videoSource" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowFrameRate='true'"><xsl:call-template name="framerate" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowVideoOutput='true'"><xsl:call-template name="videoOutput" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowVideoCodec='true'"><xsl:call-template name="videoCodec" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowAudioCodec='true'"><xsl:call-template name="audioCodec" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowContainer='true'"><xsl:call-template name="container" />&#160;&#160;</xsl:if>
						<xsl:if test="$ShowSubtitles='true'"><xsl:call-template name="subtitles" />&#160;&#160;</xsl:if>
				
                        
						<xsl:if test="certification != 'UNKNOWN' and certification != '' and certification != 'Not Rated' and $ShowCertification = 'true'">
							<xsl:call-template name="certification" />
						</xsl:if>   
		
						<img><xsl:attribute name="src">pictures/dim/blank.png</xsl:attribute></img>

						<!--<xsl:if test="$ShowStudioField='true'">
							<img height="40"><xsl:attribute name="src">pictures/studios/<xsl:value-of select="company"/>.png</xsl:attribute></img>
						</xsl:if>-->		  
					</td>
					<td>
					<table>
					<tr>
					<td height="35" width="95"><xsl:if test="$ShowStudioField='true'">
<xsl:attribute name="background">pictures/studios/<xsl:value-of select="company"/>.png</xsl:attribute></xsl:if></td>
					</tr>
					</table>
					</td>
				</tr>
            </table>
		</td>
	</tr>
	<tr>
		<td colspan="3" valign="top">
						<xsl:if test="$AlignRight='true' or $mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
							<xsl:attribute name="align">right</xsl:attribute>
						</xsl:if>
			<!--<table border="0" cellspacing="10" cellpadding="0">
				<tr>
					<td class="tvtt">
						
					</td>
				</tr>
			</table>-->
		</td>
	</tr>
</table>

						</td></tr>
					</table>
				</td>
			</tr>
		</table>
	</td>
	

	
</tr>
</table>
</td><td valign="top" align="right">

<!--<xsl:if test="$extras='true'"><xsl:call-template name="companion"/></xsl:if>-->

</td></tr></table>

<img>
<xsl:attribute name="width"><xsl:if test="$ShowDetailFrame = 'big'">250</xsl:if><xsl:if test="$ShowDetailFrame = 'small'">222</xsl:if></xsl:attribute>
<xsl:attribute name="id">Cover_Detail_NMT</xsl:attribute><xsl:attribute name="src"><xsl:value-of select="detailPosterFile" /></xsl:attribute></img>


		<img>
		
		<xsl:choose>
			<xsl:when test="$ShowDetailFrame = 'big' and $ShowDetailFrameBox = 'false'"><xsl:attribute name="width">270</xsl:attribute></xsl:when>
			<xsl:when test="$ShowDetailFrame = 'small' and $ShowDetailFrameBox = 'false'"><xsl:attribute name="width">240</xsl:attribute></xsl:when>
			<xsl:when test="$ShowDetailFrame = 'big' and $ShowDetailFrameBox = 'true'"><xsl:attribute name="width">285</xsl:attribute><xsl:attribute name="height">416</xsl:attribute></xsl:when>
			<xsl:when test="$ShowDetailFrame = 'small' and $ShowDetailFrameBox = 'true'"><xsl:attribute name="width">253</xsl:attribute><xsl:attribute name="height">364</xsl:attribute></xsl:when>
		</xsl:choose>
			
		<xsl:attribute name="id">Frame_Detail_NMT</xsl:attribute>
		<xsl:choose>
		<xsl:when test="$ShowDetailFrameBox = 'true'">
			<xsl:choose>
				<xsl:when test="contains(videoSource,'BluRay')"><xsl:attribute name="src">pictures/boxes/bluray.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'D-THEATER')"><xsl:attribute name="src">pictures/boxes/dtheater.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'HDDVD')"><xsl:attribute name="src">pictures/boxes/hddvd.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'DVD')"><xsl:attribute name="src">pictures/boxes/dvd.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'HDTV')"><xsl:attribute name="src">pictures/boxes/hdtv.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'VHS')"><xsl:attribute name="src">pictures/boxes/vhs.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'SDTV')"><xsl:attribute name="src">pictures/boxes/tvmovie.png</xsl:attribute></xsl:when>
				<xsl:otherwise><xsl:attribute name="src">pictures/boxes/generic.png</xsl:attribute></xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:when test="$ShowDetailThinFrame = 'false' and $ShowDetailFrameBox = 'false'">
			<xsl:choose>
				<xsl:when test="contains(videoSource,'BluRay') and $ShowDetailFrameColored = 'true'"><xsl:attribute name="src">pictures/special/detailframe_blue_big<xsl:if test="$ShowDetailFrameShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'D-THEATER') and $ShowDetailFrameColored = 'true'"><xsl:attribute name="src">pictures/special/detailframe_white_big<xsl:if test="$ShowDetailFrameShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'HDDVD') and $ShowDetailFrameColored = 'true'"><xsl:attribute name="src">pictures/special/detailframe_red_big<xsl:if test="$ShowDetailFrameShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'DVD') and $ShowDetailFrameColored = 'true'"><xsl:attribute name="src">pictures/special/detailframe_white_big<xsl:if test="$ShowDetailFrameShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'HDTV') and $ShowDetailFrameColored = 'true'"><xsl:attribute name="src">pictures/special/detailframe_green_big<xsl:if test="$ShowDetailFrameShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
				<xsl:otherwise><xsl:attribute name="src">pictures/special/detailframe_white_big<xsl:if test="$ShowDetailFrameShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:when test="$ShowDetailThinFrame = 'true' and $ShowDetailFrameBox = 'false'">
			<xsl:choose>
				<xsl:when test="contains(videoSource,'BluRay') and $ShowDetailFrameColored='true'"><xsl:attribute name="src">pictures/special/detailframe_blue_small<xsl:if test="$ShowDetailFrameShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'D-THEATER') and $ShowDetailFrameColored='true'"><xsl:attribute name="src">pictures/special/detailframe_white_small<xsl:if test="$ShowDetailFrameShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'HDDVD') and $ShowDetailFrameColored='true'"><xsl:attribute name="src">pictures/special/detailframe_red_small<xsl:if test="$ShowDetailFrameShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'DVD') and $ShowDetailFrameColored='true'"><xsl:attribute name="src">pictures/special/detailframe_white_small<xsl:if test="$ShowDetailFrameShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
				<xsl:when test="contains(videoSource,'HDTV') and $ShowDetailFrameColored='true'"><xsl:attribute name="src">pictures/special/detailframe_green_small<xsl:if test="$ShowDetailFrameShiny = 'true'">_shiny</xsl:if>.png</xsl:attribute></xsl:when>
				<xsl:otherwise><xsl:attribute name="src">pictures/special/detailframe_white_small.png</xsl:attribute></xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		</xsl:choose>
		</img>

	<img id="IconWatched">
	<xsl:attribute name="width"><xsl:if test="$ShowDetailFrame = 'big'">250</xsl:if><xsl:if test="$ShowDetailFrame = 'small'">222</xsl:if></xsl:attribute>
	<xsl:attribute name="src"><xsl:choose><xsl:when test="watched='true'">pictures/special/watched.png</xsl:when><xsl:otherwise>pictures/1x1.png</xsl:otherwise></xsl:choose></xsl:attribute></img>
	
	<img id="tvbgdimr" src="pictures/dim/custom_tvbg-mov-r_dim-gap.png" />

	
<!-- END LOWLIST MOVIE DETAILS PAGE CODE HERE -->

<xsl:if test="$use-pcmenu = 'true'">
<div id="noNMT">
     <br />
    <a href="#" class="clickInfos" onclick="toggleWatchbar(); return false;">Watchbar on/off</a>
        <br />
    <a href="#" class="clickUp" onclick="pageUp(); return false;">Click Up</a>
    <a href="#" class="clickDown" onclick="pageDown(); return false;">Click Down</a>
    <a href="#" class="clickLeft" onclick="clickLeft(); return false;">Click Left</a>
    <a href="#" class="clickRight" onclick="clickRight(); return false;">Click Right</a>
	<br />
    <a class="pageUp"><xsl:attribute name="href"><xsl:choose><xsl:when
          test="contains(previous,'UNKNOWN')"><xsl:value-of select="last" />.html</xsl:when><xsl:otherwise><xsl:value-of
          select="previous" />.html</xsl:otherwise></xsl:choose></xsl:attribute>Previous Movie</a>
    <a class="pageDown"><xsl:attribute name="href"><xsl:choose><xsl:when
          test="contains(next,'UNKNOWN')"><xsl:value-of select="first" />.html</xsl:when><xsl:otherwise><xsl:value-of
          select="next" />.html</xsl:otherwise></xsl:choose></xsl:attribute>Next Movie</a>
  		<br />
	  <a class="clickIndex">
		<xsl:if test="$use-startmenu='false'"><xsl:attribute name="href"><xsl:value-of select="$currentHomePage"/>.html</xsl:attribute></xsl:if>
		<xsl:if test="$use-startmenu='true'"><xsl:attribute name="href">../index.htm</xsl:attribute></xsl:if>
		Index</a>
	  <br />
	  
  </div>
  </xsl:if>
  
<!--<script id="watchedjs" language="JavaScript" src="empty.js" type="text/javascript"><xsl:comment>JavaScript</xsl:comment></script>
<a href="#" onclick="watched(1);" TVID="$WatchedKey"><xsl:comment>Watched Key</xsl:comment></a>-->
</body>

    </xsl:when>
    <xsl:otherwise>

<xsl:call-template name="tv-detail"/>

	  </xsl:otherwise>
  </xsl:choose>


 <a TVID="BACK" ONFOCUSLOAD="">
	    <xsl:attribute name="name">back</xsl:attribute>
        <xsl:attribute name="href">javascript:history.back();</xsl:attribute>
 </a>
 
<xsl:if test="$extras='false' and (season = -1) and (($WatchbarKeyUp != 'RIGHT' and $WatchbarKeyDown != 'RIGHT' and $WatchbarKeyLeft != 'RIGHT' and $WatchbarKeyRight != 'RIGHT') or ((count(extras) = 0) and (count(files/file) = 1)))">
 <a TVID="RIGHT">
        <xsl:attribute name="href"><xsl:choose><xsl:when
          test="contains(next,'UNKNOWN')"><xsl:value-of select="first" />.html</xsl:when><xsl:otherwise><xsl:value-of
          select="next" />.html</xsl:otherwise></xsl:choose></xsl:attribute>
 </a>
</xsl:if>
	
<xsl:if test="$extras='false' and (season = -1) and (($WatchbarKeyUp != 'LEFT' and $WatchbarKeyDown != 'LEFT' and $WatchbarKeyLeft != 'LEFT' and $WatchbarKeyRight != 'LEFT') or ((count(extras) = 0) and (count(files/file) = 1)))">
  <a TVID="LEFT">
        <xsl:attribute name="href"><xsl:choose><xsl:when
          test="contains(previous,'UNKNOWN')"><xsl:value-of select="last" />.html</xsl:when><xsl:otherwise><xsl:value-of
          select="previous" />.html</xsl:otherwise></xsl:choose></xsl:attribute>
 </a>
</xsl:if>	  
	   
	  <a>
        <xsl:attribute name="TVID">HOME</xsl:attribute>
        <xsl:if test="$use-startmenu='false'"><xsl:attribute name="href"><xsl:value-of select="$currentHomePage"/>.html</xsl:attribute></xsl:if>
		<xsl:if test="$use-startmenu='true'"><xsl:attribute name="href">../index.htm</xsl:attribute></xsl:if>
      </a>
	  
	   
<xsl:if test="$ParentalControl = 'false'">
      <a TVID="PGDN" ONFOCUSLOAD="">
	    <xsl:attribute name="name">pgdn</xsl:attribute>
        <xsl:attribute name="href"><xsl:choose><xsl:when
          test="contains(next,'UNKNOWN')"><xsl:value-of select="first" />.html</xsl:when><xsl:otherwise><xsl:value-of
          select="next" />.html</xsl:otherwise></xsl:choose></xsl:attribute>
      </a>
      <a TVID="PGUP" ONFOCUSLOAD="">
	    <xsl:attribute name="name">pgup</xsl:attribute>
        <xsl:attribute name="href"><xsl:choose><xsl:when
          test="contains(previous,'UNKNOWN')"><xsl:value-of select="last" />.html</xsl:when><xsl:otherwise><xsl:value-of
          select="previous" />.html</xsl:otherwise></xsl:choose></xsl:attribute>
      </a>
</xsl:if>
<xsl:if test="$ParentalControl = 'true'">
      <a TVID="PGDN" ONFOCUSLOAD="">
	    <xsl:attribute name="name">pgdn</xsl:attribute>
        <xsl:attribute name="href">javascript:history.back();</xsl:attribute>
      </a>
      <a TVID="PGDN" ONFOCUSLOAD="">
	    <xsl:attribute name="name">pgup</xsl:attribute>
        <xsl:attribute name="href">javascript:history.back();</xsl:attribute>
      </a>
</xsl:if>


	  
<xsl:if test="$RedURL != ''"><a><xsl:attribute name="TVID">RED</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$RedURL" /></xsl:attribute></a></xsl:if>
<xsl:if test="$GreenURL != ''"><a><xsl:attribute name="TVID">GREEN</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$GreenURL" /></xsl:attribute></a></xsl:if>
<xsl:if test="$YellowURL != ''"><a><xsl:attribute name="TVID">YELLOW</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$YellowURL" /></xsl:attribute></a></xsl:if>
<xsl:if test="$BlueURL != ''"><a><xsl:attribute name="TVID">BLUE</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$BlueURL" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Angle != ''"><a><xsl:attribute name="TVID">COPY</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Angle" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Stop != ''"><a><xsl:attribute name="TVID">ESC</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Stop" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Repeat != ''"><a><xsl:attribute name="TVID">REPEAT</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Repeat" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Source != ''"><a><xsl:attribute name="TVID">USR</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Source" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Setup != ''"><a><xsl:attribute name="TVID">SETUP</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Setup" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Delete != ''"><a><xsl:attribute name="TVID">CLEAR</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Delete" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Title != ''"><a><xsl:attribute name="TVID">URL</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Title" /></xsl:attribute></a></xsl:if>
<xsl:if test="$Info != ''"><a><xsl:attribute name="TVID">INFO</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="$Info" /></xsl:attribute></a></xsl:if>
  


  </html>
</xsl:for-each>
</xsl:template>

<xsl:template name="zcd">
  <xsl:param name="url"/>
  <xsl:param name="container"/>
<xsl:choose>
  <xsl:when test="$container = 'ISO' or (substring($url, (string-length($url) - string-length('.ISO')) + 1) = '.ISO') or (substring($url, (string-length($url) - string-length('.iso')) + 1) = '.iso')">
    <xsl:attribute name="zcd">2</xsl:attribute>
  </xsl:when>

  <xsl:when test="$container = 'IMG' or (substring($url, (string-length($url) - string-length('.IMG')) + 1) = '.IMG') or (substring($url, (string-length($url) - string-length('.img')) + 1) = '.img')">
    <xsl:attribute name="zcd">2</xsl:attribute>
  </xsl:when>

  <xsl:when test="substring($url, (string-length($url) - string-length('VIDEO_TS')) + 1) = 'VIDEO_TS'">
    <xsl:attribute name="zcd">2</xsl:attribute>
  </xsl:when>

  <xsl:when test="substring($url, (string-length($url) - string-length('/')) + 1) = '/'">
    <xsl:attribute name="zcd">2</xsl:attribute>
  </xsl:when>
  <!--<xsl:otherwise>
  <xsl:attribute name="zcd"></xsl:attribute>
  </xsl:otherwise>-->
</xsl:choose>
</xsl:template>

<xsl:template name="PreserveLineBreaksShort"><!-- WatchBar ON -->
    <xsl:param name="text"/>
    <xsl:choose>
        <xsl:when test="contains($text,'&#xA;')">
            <xsl:value-of select="substring-before($text,'&#xA;')"/>
            <br/>
            <xsl:call-template name="PreserveLineBreaksShort">
                <xsl:with-param name="text">
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="substring-after($text,'&#xA;')"/>
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate(substring-after($text,"&#xA;"),"{}","&lt;&gt;")' />
				  </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:when>
		<xsl:when test="string-length($text) &lt; $PlotLength">
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="$text"/><!-- old -->
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate($text,"{}","&lt;&gt;")'/>
				  </xsl:if>
		</xsl:when>
        <xsl:otherwise>
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="substring($text,1,($PlotLength)-4)"/>...<!-- old -->
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate(substring($text,1,($PlotLength)-4),"{}","&lt;&gt;")'/>...
				  </xsl:if>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="PreserveLineBreaksLong"><!-- WatchBar OFF -->
    <xsl:param name="text"/>
    <xsl:choose>
        <xsl:when test="contains($text,'&#xA;')">
            <xsl:value-of select="substring-before($text,'&#xA;')"/>
            <br/>
            <xsl:call-template name="PreserveLineBreaksLong">
                <xsl:with-param name="text">
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="substring-after($text,'&#xA;')"/>
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate(substring-after($text,"&#xA;"),"{}","&lt;&gt;")' />
				  </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:when>
		<xsl:when test="string-length($text) &lt; ($PlotLength)+150">
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="$text"/><!-- old -->
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate($text,"{}","&lt;&gt;")'/>
				  </xsl:if>
		</xsl:when>
        <xsl:otherwise>
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="substring($text,1,($PlotLength)+146)"/>...<!-- old -->
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate(substring($text,1,($PlotLength)+146),"{}","&lt;&gt;")'/>...
				  </xsl:if>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="PreserveLineBreaksLowList"><!-- WatchBar ON -->
    <xsl:param name="text"/>
    <xsl:choose>
        <xsl:when test="contains($text,'&#xA;')">
            <xsl:value-of select="substring-before($text,'&#xA;')"/>
            <br/>
            <xsl:call-template name="PreserveLineBreaksLowList">
                <xsl:with-param name="text">
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="substring-after($text,'&#xA;')"/>
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate(substring-after($text,"&#xA;"),"{}","&lt;&gt;")' />
				  </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:when>
		<xsl:when test="string-length($text) &lt; $PlotCharacters">
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="$text"/><!-- old -->
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate($text,"{}","&lt;&gt;")'/>
				  </xsl:if>
		</xsl:when>
        <xsl:otherwise>
				  <xsl:if test="$mjb.internet.plugin!='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of select="substring($text,1,$PlotCharacters)"/>...<!-- old -->
				  </xsl:if>
				  <xsl:if test="$mjb.internet.plugin='com.moviejukebox.plugin.SratimPlugin'">
					<xsl:value-of disable-output-escaping="yes" select='translate(substring($text,1,($PlotCharacters)),"{}","&lt;&gt;")'/>...
				  </xsl:if>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="trailer">
			   <xsl:for-each select="extras/extra[position() &lt;= 1]">
					<a>
						<xsl:attribute name="onkeydownset">pgdn</xsl:attribute>
						<xsl:attribute name="onkeyupset">pgup</xsl:attribute>
						<xsl:attribute name="name">trailer</xsl:attribute>
						<xsl:attribute name="onkeyrightset">play</xsl:attribute>
						<xsl:attribute name="onkeyleftset">play</xsl:attribute>
						<xsl:attribute name="href"><xsl:value-of select="." /></xsl:attribute>
							<xsl:call-template name="zcd">
								<xsl:with-param name="url" select="."/>
							</xsl:call-template>
								<xsl:if test="//movie/prebuf != '-1'">
									<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
								</xsl:if>
								<xsl:attribute name="vod"/>

<xsl:if test="translate(substring(//movie/extras/extra/@title,1,5),'BONUS','bonus')='bonus'">
									<xsl:choose> 
										<xsl:when test="count(//movie/extras/extra) = 1 ">
											
												<img src="pictures/lowlist/bonusoff.png" onfocussrc="pictures/lowlist/bonuson.png" align="top"/>
											
										</xsl:when>
										<xsl:otherwise>
											<xsl:if test="position() = 1">
												
													<img src="pictures/lowlist/bonusoff.png" onfocussrc="pictures/lowlist/bonuson.png" align="top"/>
												
											</xsl:if>
										</xsl:otherwise>
									</xsl:choose>
</xsl:if>
<xsl:if test="translate(substring(//movie/extras/extra/@title,1,5),'EXTRA','extra')='extra' or substring(//movie/extras/extra/@title,1,7)='UNKNOWN'">
									<xsl:choose> 
										<xsl:when test="count(//movie/extras/extra) = 1 ">
											
												<img src="pictures/lowlist/extraoff.png" onfocussrc="pictures/lowlist/extraon.png" align="top"/>
											
										</xsl:when>
										<xsl:otherwise>
											<xsl:if test="position() = 1">
												
													<img src="pictures/lowlist/extraoff.png" onfocussrc="pictures/lowlist/extraon.png" align="top"/>
												
											</xsl:if>
										</xsl:otherwise>
									</xsl:choose>
</xsl:if>
<xsl:if test="translate(substring(//movie/extras/extra/@title,1,7),'TRAILER','trailer')='trailer'">
									<xsl:choose> 
										<xsl:when test="count(//movie/extras/extra) = 1 ">
											
												<img src="pictures/lowlist/traileroff.png" onfocussrc="pictures/lowlist/traileron.png" align="top"/>
											
										</xsl:when>
										<xsl:otherwise>
											<xsl:if test="position() = 1">
												
													<img src="pictures/lowlist/traileroff.png" onfocussrc="pictures/lowlist/traileron.png" align="top"/>
												
											</xsl:if>
										</xsl:otherwise>
									</xsl:choose>
</xsl:if>

						</a>
				</xsl:for-each>
</xsl:template>

<xsl:template name="companion">
	<table border="0" cellspacing="0" cellpadding="0">
	<tr><td align="right" width="500" bgcolor="white-alpha3">
<a>
<xsl:attribute name="class">extras</xsl:attribute>
<xsl:attribute name="name">refresh</xsl:attribute>
<xsl:attribute name="onkeyleftset">last</xsl:attribute>
<xsl:attribute name="onkeyupset">last</xsl:attribute>
<xsl:attribute name="href"><xsl:value-of select="details" /></xsl:attribute>
[<xsl:value-of select="$BackToDetails"/>]
</a>
	</td></tr>

                <xsl:if test="year/@index != ''"><tr><td align="right" bgcolor="white-alpha3"><!--when-->
                  <a>
					<xsl:attribute name="class">extras</xsl:attribute>
                    <xsl:attribute name="href"><xsl:value-of select="year/@index" />.html</xsl:attribute>
					<xsl:attribute name="onkeyleftset">refresh</xsl:attribute>
					<xsl:attribute name="name">extras</xsl:attribute>
                    <xsl:value-of select="year" />
                  </a>
                </td></tr></xsl:if>
<tr><td align="right" bgcolor="white-alpha3">
            <xsl:if test="count(genres) != 0">
              <xsl:for-each select="genres/genre[position() &lt;= $genres.max]">
			  <table border="0" cellpadding="0" cellspacing="0"><tr><td>
                <xsl:if test="position()!= 1">  </xsl:if>
                <xsl:choose>
                  <xsl:when test="@index != ''">
                    <a>
					  <xsl:attribute name="class">extras</xsl:attribute>
                      <xsl:attribute name="href"><xsl:value-of select="@index" />.html</xsl:attribute>
					  <xsl:attribute name="onkeyleftset">refresh</xsl:attribute>
					  <xsl:attribute name="name">extras</xsl:attribute>
                      <xsl:value-of select="." /> 
                    </a>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="." /> 
                  </xsl:otherwise>
                </xsl:choose>
				</td></tr></table>
              </xsl:for-each>
            </xsl:if>
</td></tr>
                <xsl:if test="director/@index != ''"><tr><td align="right" bgcolor="white-alpha3"><!--when-->
                  <a>
				    <xsl:attribute name="class">extras</xsl:attribute>
                    <xsl:attribute name="href"><xsl:value-of select="director/@index" />.html</xsl:attribute>
					<xsl:attribute name="onkeyleftset">refresh</xsl:attribute>
					<xsl:attribute name="name">extras</xsl:attribute>
                    <xsl:value-of select="director" /> 
                  </a>
                </td></tr></xsl:if>

                <xsl:if test="country != 'UNKNOWN' and country/@index != ''"><tr><td align="right" bgcolor="white-alpha3"><!--when-->
                  <a>
				    <xsl:attribute name="class">extras</xsl:attribute>
                    <xsl:attribute name="href"><xsl:value-of select="country/@index" />.html</xsl:attribute>
					<xsl:attribute name="onkeyleftset">refresh</xsl:attribute>
					<xsl:attribute name="name">extras</xsl:attribute>
                    <xsl:value-of select="country" />
                  </a>
                </td></tr></xsl:if>
<tr><td align="right" bgcolor="white-alpha3">
			<xsl:if test="count(cast/actor) != 0">
              <xsl:for-each select="cast/actor[position() &lt;= $actors.max]">
			  <table border="0" cellpadding="0" cellspacing="0"><tr><td bgcolor="white-alpha3">
                <xsl:if test="position()!=1">  </xsl:if>
                <xsl:choose>
                  <xsl:when test="@index != ''">
                    <a>
					  <xsl:attribute name="class">extras</xsl:attribute>
                      <xsl:attribute name="href"><xsl:value-of select="@index" />.html</xsl:attribute>
					  <xsl:attribute name="onkeyleftset">refresh</xsl:attribute>
					  <xsl:attribute name="name">extras</xsl:attribute>
                      <xsl:value-of select="." /> 
                    </a>
                  </xsl:when>
                  <xsl:otherwise>
<!--                    <xsl:value-of select="." /> -->
                  </xsl:otherwise>
                </xsl:choose>
				</td></tr></table>
              </xsl:for-each>
			</xsl:if>
</td></tr>
<tr><td bgcolor="white-alpha3">.</td></tr>
		<xsl:if test="count(files/file) != 1">
			   <xsl:for-each select="files/file"><!--[position() &lt;= 1]-->
					<tr><td align="right" bgcolor="white-alpha3">
					<a>
						<xsl:attribute name="class">extras</xsl:attribute>
						<xsl:attribute name="onkeyleftset">refresh</xsl:attribute>
						<xsl:attribute name="name">extras</xsl:attribute>
						<xsl:attribute name="href"><xsl:value-of select="fileURL" /></xsl:attribute>
							<xsl:call-template name="zcd">
								<xsl:with-param name="url" select="fileURL"/>
								<xsl:with-param name="container" select="//movie/container"/>
							</xsl:call-template>
								<xsl:if test="//movie/prebuf != '-1'"><xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute></xsl:if>
								<xsl:attribute name="vod"/>
							<xsl:value-of select="$Part"/><xsl:text> </xsl:text><xsl:value-of select="@firstPart" /><xsl:text> - </xsl:text><xsl:value-of select="@title" />
						</a>
						</td></tr>
				</xsl:for-each>
		</xsl:if>
<tr><td bgcolor="white-alpha3">.</td></tr>

		<xsl:if test="count(extras) != 0">
			   <xsl:for-each select="extras/extra"><!--[position() &lt;= 1]-->
					<tr><td align="right" bgcolor="white-alpha3">
					<a>
						<xsl:attribute name="class">extras</xsl:attribute>
						<xsl:attribute name="onkeyleftset">refresh</xsl:attribute>
						<xsl:attribute name="name">extras</xsl:attribute>
						<xsl:attribute name="href"><xsl:value-of select="." /></xsl:attribute>
							<xsl:call-template name="zcd">
								<xsl:with-param name="url" select="."/>
							</xsl:call-template>
								<xsl:if test="//movie/prebuf != '-1'">
									<xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
								</xsl:if>
								<xsl:attribute name="vod"/>
							<xsl:value-of select="@title" />
						</a>
						</td></tr>
				</xsl:for-each>
		</xsl:if>
	<tr><td align="right" width="500" bgcolor="white-alpha3">
<a>
<xsl:attribute name="class">extras</xsl:attribute>
<xsl:attribute name="name">last</xsl:attribute>
<xsl:attribute name="onkeyleftset">refresh</xsl:attribute>
<xsl:attribute name="onkeydownset">refresh</xsl:attribute>
<xsl:attribute name="href"><xsl:value-of select="details" /></xsl:attribute>
[<xsl:value-of select="$BackToDetails"/>]
</a>
	</td></tr>
				</table>
</xsl:template>



<xsl:template name="transform-url">
<xsl:param name="url"/>
	<xsl:call-template name="substring-after-last">
	<xsl:with-param name="string">
		<xsl:call-template name="search-and-replace">
			<xsl:with-param name="input">
				<xsl:call-template name="search-and-replace">
				<xsl:with-param name="input"><xsl:call-template name="search-and-replace">
									<xsl:with-param name="input" select="$url"/>
									<xsl:with-param name="search-string">%20</xsl:with-param>
									<xsl:with-param name="replace-string">&#160;</xsl:with-param>
									</xsl:call-template>
									</xsl:with-param>
									
				<xsl:with-param name="search-string">%5B</xsl:with-param>
				<xsl:with-param name="replace-string">[</xsl:with-param>
				</xsl:call-template>
			</xsl:with-param>
			<xsl:with-param name="search-string">%5D</xsl:with-param>
			<xsl:with-param name="replace-string">]</xsl:with-param>
		</xsl:call-template>
	</xsl:with-param>	
	<xsl:with-param name="delimiter" select="'/'"  />
	</xsl:call-template>
</xsl:template>

<xsl:template name="gt-playfile">
        <xsl:choose>
          <xsl:when test="count(files/file) = 1">
            <xsl:for-each select="files/file">
<!--                <xsl:if test="//movie/season != -1">
                  <td align="right" class="normal">
                    <xsl:value-of select="@firstPart"/>
                    <xsl:if test="@firstPart!=@lastPart">-<xsl:value-of select="@lastPart"/></xsl:if>.
                  </td>
                </xsl:if>-->
                  <a class="link"><xsl:attribute name="href">
				  
<xsl:choose>
<xsl:when test="//movie/container = 'RAR' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-3,4) = '.RAR' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-3,4) = '.rar'">
<xsl:value-of select="concat(//files/file/fileURL,'?playall=1')" />
</xsl:when>
<xsl:otherwise>
					<xsl:value-of select="fileURL" />
</xsl:otherwise></xsl:choose>

</xsl:attribute>
							<xsl:attribute name="onkeydownset">pageDown</xsl:attribute>
							<xsl:attribute name="onkeyupset">pageUp</xsl:attribute>
							<xsl:attribute name="onkeyrightset">pgdn</xsl:attribute>
							<xsl:attribute name="onkeyleftset">pgup</xsl:attribute>
							
							
                    <xsl:attribute name="TVID">Play</xsl:attribute>
                    <xsl:attribute name="name">play</xsl:attribute>
					<xsl:attribute name="id">play</xsl:attribute>
                    <xsl:call-template name="zcd">
                      <xsl:with-param name="url" select="fileURL"/>
                      <xsl:with-param name="container" select="//movie/container"/>
                    </xsl:call-template>

<xsl:choose>
<xsl:when test="//movie/container = 'RAR' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-3,4) = '.RAR' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-3,4) = '.rar'">
<xsl:attribute name="vod">playlist</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="vod"/>
</xsl:otherwise></xsl:choose>

                    <xsl:if test="//movie/prebuf != -1">
                      <xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
                    </xsl:if>

                    <xsl:choose>
                      <xsl:when test="//movie/season = -1">
                        <img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/>
                      </xsl:when>
                    </xsl:choose>
                  </a>
            </xsl:for-each>
          </xsl:when>

<!-- *.part01.rar, *.part02.rar -->
<xsl:when test="substring(//files/file/fileURL,string-length(//files/file/fileURL)-9,10) = 'part01.rar' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-9,10) = 'PART01.RAR' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-10,11) = 'part001.rar' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-10,11) = 'PART001.RAR'">
	<a class="link">
		<xsl:attribute name="href">
			<xsl:value-of select="concat(//files/file/fileURL,'?playall=1')" />
		</xsl:attribute>
							<xsl:attribute name="onkeydownset">pageDown</xsl:attribute>
							<xsl:attribute name="onkeyupset">pageUp</xsl:attribute>
							<xsl:attribute name="onkeyrightset">pgdn</xsl:attribute>
							<xsl:attribute name="onkeyleftset">pgup</xsl:attribute>
							
							
                    <xsl:attribute name="TVID">Play</xsl:attribute>
                    <xsl:attribute name="name">play</xsl:attribute>
					<xsl:attribute name="id">play</xsl:attribute>

					<xsl:attribute name="vod">playlist</xsl:attribute>

                    <xsl:if test="//movie/prebuf != -1">
                      <xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
                    </xsl:if>
					<img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/>
	</a>
</xsl:when>
		  
		  
		  
		  
		  
          <xsl:when test="//movie/container = 'BDAV' and //movie/season = -1">
                <a class="link">
                  <xsl:attribute name="href">
                    <xsl:value-of select="concat(/details/movie/baseFilename,'.playlist.jsp')" />
                  </xsl:attribute>
				  			<xsl:attribute name="onkeydownset">pageDown</xsl:attribute>
							<xsl:attribute name="onkeyupset">pageUp</xsl:attribute>
							<xsl:attribute name="onkeyrightset">pgdn</xsl:attribute>
							<xsl:attribute name="onkeyleftset">pgup</xsl:attribute>
							
							
                    <xsl:attribute name="TVID">Play</xsl:attribute>
                    <xsl:attribute name="name">play</xsl:attribute>
					<xsl:attribute name="id">play</xsl:attribute>

                  <xsl:attribute name="vod">playlist</xsl:attribute>
                  <img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png"/>
                </a>
				
						                        <xsl:for-each select="files/file">
                        <xsl:sort select="@firstPart" data-type="number" order="ascending"/>

                        <a>
                          <xsl:attribute name="href"><xsl:value-of select="fileURL" /></xsl:attribute>
                          <xsl:attribute name="TVID"><xsl:value-of select="@firstPart"/></xsl:attribute>
                          <xsl:attribute name="name">e<xsl:value-of select="position()"/></xsl:attribute>
                          <xsl:attribute name="onkeyleftset">e<xsl:value-of select="position()-1"/></xsl:attribute>
                          <xsl:attribute name="onkeyrightset">e<xsl:value-of select="position()+1"/></xsl:attribute>
                          <xsl:attribute name="onfocus">show(<xsl:value-of select="@firstPart"/>)</xsl:attribute>
                          <xsl:attribute name="onblur">hide()</xsl:attribute>

                          <xsl:call-template name="zcd">
                            <xsl:with-param name="url" select="fileURL"/>
                            <xsl:with-param name="container" select="//movie/container"/>
                          </xsl:call-template>

                          <xsl:attribute name="vod"/>

                          <xsl:if test="//movie/prebuf != -1">
                            <xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
                          </xsl:if>
                        </a>
                        <a class="link">
                          <xsl:if test="position() = 1"> 
                            <xsl:attribute name="class">firstMovie</xsl:attribute> 
                          </xsl:if>
                        </a>
                      </xsl:for-each>
				
          </xsl:when>

          <xsl:otherwise>

                  <!--<xsl:if test="($skin-playAllMovie = 'top' and //movie/season = -1) or ($skin-playAllTV = 'top' and //movie/season != -1)">-->

                        <a class="link" tvid="Play">
							<xsl:attribute name="onkeydownset">pageDown</xsl:attribute>
							<xsl:attribute name="onkeyupset">pageUp</xsl:attribute>
							<xsl:attribute name="onkeyrightset">pgdn</xsl:attribute>
							<xsl:attribute name="onkeyleftset">pgup</xsl:attribute>
							
							<xsl:attribute name="id">play</xsl:attribute>
							<xsl:attribute name="name">play</xsl:attribute>
                          <xsl:attribute name="onfocus">hide()</xsl:attribute>
						  
<xsl:choose>
<xsl:when test="//movie/container = 'ISO' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-3,4) = '.ISO' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-3,4) = '.iso'">
							<xsl:attribute name="zcd">2</xsl:attribute>
							<xsl:attribute name="vod"></xsl:attribute>
							<xsl:attribute name="href"><xsl:value-of select="//files/file/fileURL" /></xsl:attribute>
</xsl:when>

<xsl:when test="//movie/container = 'IMG' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-3,4) = '.IMG' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-3,4) = '.img'">
							<xsl:attribute name="zcd">2</xsl:attribute>
							<xsl:attribute name="vod"></xsl:attribute>
							<xsl:attribute name="href"><xsl:value-of select="//files/file/fileURL" /></xsl:attribute>
</xsl:when>
<xsl:when test="//movie/container = 'DVD Video' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-7,8) = 'VIDEO_TS' or substring(//files/file/fileURL,string-length(//files/file/fileURL)-7,8) = 'video_ts'">
							<xsl:attribute name="zcd">2</xsl:attribute>
							<xsl:attribute name="vod"></xsl:attribute>
							<xsl:attribute name="href"><xsl:value-of select="//files/file/fileURL" /></xsl:attribute>
</xsl:when>
<xsl:otherwise>
                          <xsl:attribute name="href"><xsl:value-of select="concat(/details/movie/baseFilename,'.playlist.jsp')" /></xsl:attribute>
                      
						  <xsl:attribute name="vod">playlist</xsl:attribute>
</xsl:otherwise>
</xsl:choose>

                          <xsl:if test="//movie/prebuf != -1">
                             <xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
                          </xsl:if>
                          <img src="pictures/detail/1x688.png" onfocussrc="pictures/detail/1x688.png" align="top"/>
                        </a>
<!-- play all -->
                  <!--</xsl:if>-->

                      <xsl:for-each select="files/file">
                        <xsl:sort select="@firstPart" data-type="number" order="ascending"/>

                        <a>
                          <xsl:attribute name="href"><xsl:value-of select="fileURL" /></xsl:attribute>
                          <xsl:attribute name="TVID"><xsl:value-of select="@firstPart"/></xsl:attribute>
                          <xsl:attribute name="name">e<xsl:value-of select="position()"/></xsl:attribute>
                          <xsl:attribute name="onkeyleftset">e<xsl:value-of select="position()-1"/></xsl:attribute>
                          <xsl:attribute name="onkeyrightset">e<xsl:value-of select="position()+1"/></xsl:attribute>
                          <xsl:attribute name="onfocus">show(<xsl:value-of select="@firstPart"/>)</xsl:attribute>
                          <xsl:attribute name="onblur">hide()</xsl:attribute>

                          <xsl:call-template name="zcd">
                            <xsl:with-param name="url" select="fileURL"/>
                            <xsl:with-param name="container" select="//movie/container"/>
                          </xsl:call-template>

                          <xsl:attribute name="vod"/>

                          <xsl:if test="//movie/prebuf != -1">
                            <xsl:attribute name="prebuf"><xsl:value-of select="//movie/prebuf" /></xsl:attribute>
                          </xsl:if>
                        </a>
                        <a class="link">
                          <xsl:if test="position() = 1"> 
                            <xsl:attribute name="class">firstMovie</xsl:attribute> 
                          </xsl:if>

                        </a>
                      </xsl:for-each>

          </xsl:otherwise>
        </xsl:choose>	
</xsl:template>

</xsl:stylesheet>