<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" omit-xml-declaration="yes"/>
	
	<!--********* Background settings ************-->
	<!--****************** Tv and movie fanart over rides (when set to true it will over  ride ALL fanart of that type)************-->
	<!--Background Option #1: If you don't want to use tv fanart downloaded by YAMJ, Set the parameter for this to true.  False uses YAMJ downloads-->
	<xsl:variable name="use-my-own-tvfanart">false</xsl:variable>

	<!--Background Option #2: If you don't want to use movie fanart downloaded by YAMJ, Set the parameter for this to true.  False uses YAMJ downloads-->
	<xsl:variable name="use-my-own-moviefanart">false</xsl:variable>

	<!--Background Option #3:  This will use the movie poster as a background instead of the the image you have set in the index-background variable-->
	<xsl:variable name="use-backcover">false</xsl:variable>

	<!--Background Option #4:  This is the image to be used as the detail background, if no fanart is present-->
	<xsl:variable name="detail-background">pictures/background.jpg</xsl:variable>


	<!--********* Button settings ************-->

	<!--Button Option #1: Choose which button to use to hide/show the poster -->
	<xsl:variable name="hide-poster-button">TAB</xsl:variable>

	<!--Button Option #2: Choose which button shows/hides the episode plot and title-->
	<xsl:variable name="show-hide-episode-plot"></xsl:variable>



	<!--********* Index page settings ************-->
	<!-- Index Option #1: backgroundimage - change the backgroundimage to whatever you like
	   - the image must exist in the html/picture folder -->
	<xsl:variable name="indexBackground">background2.jpg</xsl:variable>

	<!--Index Option #2: Exit path for index pages - the default one leads you to your harddisk -->
	<xsl:variable name="exitPath">http://localhost.drives:8883/HARD_DISK/?home=1</xsl:variable>

	<!--Index Option #3: show/hide (true/false) the imdb rating on the index page -->
	<xsl:variable name="indexShowImdbRating">true</xsl:variable>

	<!--Index Option #4: show/hide (true/false) the imdb rating on the index page -->
	<xsl:variable name="indexScrollThroughPages">true</xsl:variable>

	<!--Index Option #5: show/hide (true/false) the imdb rating on the index page -->
	<xsl:variable name="indexScrollThroughItems">false</xsl:variable>



	<!--********* General Detail page settings ************-->

	<!--General Option #2:  show numeric imdb rating-->
	<xsl:variable name="full_rating">true</xsl:variable>

	<!--General Option #3: show certification (true/false) -->
	<xsl:variable name="show_certification">false</xsl:variable>

  <!--General Option #4:  Set this to true only if your vob files are just video files with no menus-->
  <xsl:variable name="nomenus">true</xsl:variable>

  <!--General Option #5:  Set this to true only if your vob files are just video files with no menus-->
  <xsl:variable name="infoBox">detail_all3.png</xsl:variable>

  <!--General Option #6:   show poster at start -->
	<xsl:variable name="showPosterAtStart">false</xsl:variable>

  <!--General Option #7: Path to files - only change it, if you're using http streaming -->
	<xsl:variable name="filePath">file:///opt/sybhttpd/localhost.drives/</xsl:variable>



	<!--
	# Multipart movie handling : single or classic
	# Default is single. Treats multipart movies as a single file.
	# The classic way of doing multipart movies. -->
	<xsl:variable name="multipartmoviehandling">classic</xsl:variable>

	<!--********* Movie Settings ************-->


	<!--Movie Option #1: The (max) number of actors to display per movie -->
	<xsl:variable name="actors.max.cnt">4</xsl:variable>

	<!--Movie Option #2: Trailer Prefix vor TVID -->
	<!--If you use trailers AND multipartmoviehandling=classic
			you can decide which links should be prefixed - with 1 the first
			trailer can be reached with 11, the second with 12, ...  -->
	<xsl:variable name="trailer.tvid.prefix">1</xsl:variable>

	<!--Movie Option #3: Multipart Prefix vor TVID - if no values evry part will get numbers from 1-n -->
	<xsl:variable name="CdPart.tvid.prefix"></xsl:variable>

	<!--Movie Option #4: if set to true no prefix will be used, if only trailers or only Multiparts are available -->
	<xsl:variable name="noPrefix.onlyOne">true</xsl:variable>

	<!--Movie Option #5: show poster animation -->
	<xsl:variable name="movie.useAnimation">true</xsl:variable>


	<!--********* TV-Show settings ************-->
	<!--TV-Show Option #1: Show the name of the episode (true) or show the number (S01E03) only (false)-->
	<xsl:variable name="show_episode_names">true</xsl:variable>

	<!--TV-Show Option #2: The (max) number of actors to display per TV Show -->
	<xsl:variable name="actors.tv.max.cnt">4</xsl:variable>

	<!-- TV-Show Option #3: show Episode Plot/VideoImage only if pushing the menu button (true)
	                        or show the infos at once (false) - with false the change from episode to
	                        episode is a bit slower -->
	<xsl:variable name="showPlotwithBtn">false</xsl:variable>

	<!--TV-Show Option #4: truncate episode title to x chars in episode list-->
	<xsl:variable name="tTitleTrunca" select="35" /><!--24-->

	<!--TV-Show Option #5: reverse Episode listing  -->
	<xsl:variable name="reverseEpisodeOrder">false</xsl:variable>

	<!--TV-Show Option #6: show poster animation -->
	<xsl:variable name="tvShow.useAnimation">true</xsl:variable>

</xsl:stylesheet>
